Debian Bug report logs - #407217
Multicast broken in r8169 for one version of Thecus N2100

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: jon+bts@alcopop.org

Date: Tue, 16 Jan 2007 22:33:27 UTC

Owned by: Martin Michlmayr <tbm@cyrius.com>

Severity: normal

Tags: fixed-upstream, patch

Merged with 486442, 488495, 494363

Found in versions 2.6.26-15, 2.6.24-4

Fixed in versions linux-2.6/2.6.32-13, linux-2.6/2.6.26-23

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#407217; Package avahi-daemon. Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jon@alcopop.org>:
New Bug report received and forwarded. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jon Dowland <jon@alcopop.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: avahi-daemon/mt-daapd disappear from network after ~1 hour
Date: Tue, 16 Jan 2007 22:29:20 +0000
[Message part 1 (text/plain, inline)]
Package: avahi-daemon
Version: 0.6.15-2
Severity: important

Hello, I use mt-daapd and thus avahi-daemon on a Thecus
n2100 embedded ARM box. I routinely find that the shares do
not appear on workstations on the same LAN after a period of
inactivity. Restarting the daemons via /etc/init.d results
in them re-appearing.

Here's an example, with times:

Tue Jan 16 19:32:10 GMT 2007

I am confident that mt-daapd and avahi-daemon were running
on the n2100 when I last looked. However neither the n2100
as a Workstation or as an Itunes share are present in
"avahi-discover" on my workstation, nor rhythmbox (my
primary daapd client).

Looking on the server, the mt-daapd and avahi-daemon
processes are indeed present. I restart mt-daapd and it
shows up in avahi-discover and rhythmbox on my client.

Tue Jan 16 21:58:32 GMT 2007

I've been away from the computer for about 90 minutes,
during which rhythmbox has been idle. On return, I see that
the mt-daapd share is not visible in rhythmbox anymore and
the workstation/itunes entries are missing from
avahi-discover.

Logging onto the server, the mt-daapd and avahi-daemon
processes are present. Looking at the logs (mt-daapd.log,
I've configured it to log outside of syslog), I can see
that I last played a tune 100 minutes ago. There are also
two further log messages:
    
        2007-01-16 20:19:20 (00084005): Session 1: Streaming file '207-the_cure-airlock-the_soundtrack.mp3' to 192.168.123.110 (offset 0)
        2007-01-16 20:50:24 (0008c005): Thread 30: Entering ws_returnerror (204: Logout Successful)
        2007-01-16 21:20:24 (00088004): Thread 29:  could not read: Timer expired

There is nothing further from avahi-daemon or from mt-daapd
in any other files (e.g. syslog).

I can turn up debugging for mt-daapd, but I'm not sure how
to do that for avahi-daemon, at least not cleanly: I may
file a separate wishlist bug to ask for support for this in
/etc/default/avahi-daemon or similar. For now I've hacked
the --debug option directly into /etc/init.d/avahi-daemon. 

I'll report back to this bug if I get more info as a result
of this hack.

Because the "workstation" entries disappear from
avahi-discover in addition to the itunes share, I think
this might be an avahi-daemon bug, rather than one
specific to mt-daapd.

Restarting mt-daapd results in the itunes share returning,
but not the workstation entry: restarting avahi-daemon
results in the workstation entry returning, but not the
itunes share.

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages avahi-daemon depends on:
ii  adduser                      3.100       Add and remove users and groups
ii  dbus                         1.0.2-1     simple interprocess messaging syst
ii  libavahi-common3             0.6.15-2    Avahi common library
ii  libavahi-core4               0.6.15-2    Avahi's embeddable mDNS/DNS-SD lib
ii  libc6                        2.3.6.ds1-8 GNU C Library: Shared libraries
ii  libcap1                      1:1.10-14   support for getting/setting POSIX.
ii  libdaemon0                   0.10-1      lightweight C library for daemons
ii  libdbus-1-3                  1.0.2-1     simple interprocess messaging syst
ii  libexpat1                    1.95.8-3.3  XML parsing C library - runtime li

Versions of packages avahi-daemon recommends:
ii  libnss-mdns                   0.8-4.1    NSS module for Multicast DNS name 

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#407217; Package avahi-daemon. Full text and rfc822 format available.

Acknowledgement sent to sjoerd@spring.luon.net (Sjoerd Simons):
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 407217@bugs.debian.org (full text, mbox):

From: sjoerd@spring.luon.net (Sjoerd Simons)
To: Jon Dowland <jon@alcopop.org>, 407217@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#407217: avahi-daemon/mt-daapd disappear from network after ~1 hour
Date: Wed, 17 Jan 2007 00:13:21 +0100
reassign 407217 linux-2.6
severity 407217 normal
thanks,


On Tue, Jan 16, 2007 at 10:29:20PM +0000, Jon Dowland wrote:
> Package: avahi-daemon
> Version: 0.6.15-2
> Severity: important
> 
> Hello, I use mt-daapd and thus avahi-daemon on a Thecus
> n2100 embedded ARM box. I routinely find that the shares do
> not appear on workstations on the same LAN after a period of
> inactivity. Restarting the daemons via /etc/init.d results
> in them re-appearing.

I've got exactly the same box with the same issue myself. This is actually a
bug in the network driver/card. After some time avahi no longer receives
multicast packets from the group it subscribed too. 

To work around this issue you can set the network interface to promisc mode..
Unfortunately that means that unrelated network traffic will also get passed to
linux instead of being dropped by the network card :(

Anyway, this is a kernel issue not a avahi one

  Sjoerd
-- 
Logic is a little bird, sitting in a tree; that smells *_____awful*.



Bug reassigned from package `avahi-daemon' to `linux-2.6'. Request was from sjoerd@spring.luon.net (Sjoerd Simons) to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal' from `important' Request was from sjoerd@spring.luon.net (Sjoerd Simons) to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jon Dowland <jon@alcopop.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 407217-done@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: 407217-done@bugs.debian.org
Subject: Re: avahi-daemon/mt-daapd disappear from network after ~1 hour
Date: Wed, 30 Jan 2008 23:40:40 +0100
mostprobably an old sky2 network driver,
thus closing.

holler loudly if you can reproduce with uname > 2.6.22

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#407217; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jon+bts@alcopop.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #24 received at 407217@bugs.debian.org (full text, mbox):

From: Jon Dowland <jon+bts@alcopop.org>
To: 407217@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#407217 closed by maximilian attems <max@stro.at> (Re: avahi-daemon/mt-daapd disappear from network after ~1 hour)
Date: Mon, 11 Feb 2008 15:11:49 +0000
reopen 407217
thanks

On Wed, Jan 30, 2008 at 10:45:07PM +0000, Debian Bug Tracking System wrote:
> mostprobably an old sky2 network driver,
> thus closing.

The thecus has Realtek RTL8110SB NICs, not sky2. 

> holler loudly if you can reproduce with uname > 2.6.22

I'll try and reproduce it again this week (awaiting a HD RMA from
Western Digital)

I'll also be attempting a firmware upgrade on the thecus to let me use
redboot to choose kernel images, which will let me try > 2.6.22. However
if the issue is present in 2.6.18.dfsg.1-18 (i.e., latest kernel
available in Etch)

I do not think the bug should be closed (use versioning if you want to
ignore it) as long as it is present in a package in Debian. I think a
backport of the patch that resolves it should be considered for an Etch
revision release -- this is a bit of a show-stopper for many networked
applications with this driver.


-- 
Jon Dowland




Bug reopened, originator not changed. Request was from Jon Dowland <jon+bts@alcopop.org> to control@bugs.debian.org. (Mon, 11 Feb 2008 15:15:12 GMT) Full text and rfc822 format available.

Changed Bug submitter from Jon Dowland <jon@alcopop.org> to jon+bts@alcopop.org. Request was from Jon Dowland <jon+bts@alcopop.org> to control@bugs.debian.org. (Mon, 03 Mar 2008 19:07:41 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#407217; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jon+bts@alcopop.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #33 received at 407217@bugs.debian.org (full text, mbox):

From: Jon Dowland <jon+bts@alcopop.org>
To: 407217@bugs.debian.org
Cc: control@bugs.debian.org
Subject: reproduced
Date: Tue, 1 Jul 2008 17:16:45 +0100
found 407217 2.6.24-4
thanks

running linux-image-2.6.24-1-iop32x on that machine now
(armel architecture) and the bug is definitely still there.


-- 
Jon Dowland




Bug marked as found in version 2.6.24-4. Request was from Jon Dowland <jon+bts@alcopop.org> to control@bugs.debian.org. (Tue, 01 Jul 2008 16:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#407217; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 407217@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Jon Dowland <jon+bts@alcopop.org>
Cc: 407217@bugs.debian.org
Subject: Re: sky2 hang reproduced
Date: Fri, 4 Jul 2008 22:36:58 +0200
> running linux-image-2.6.24-1-iop32x on that machine now
> (armel architecture) and the bug is definitely still there.

please checkout current 2.6.25 unstable linux images
or even better 2.6.26-rc8 trunk snapshots see apt lines
-> http://wiki.debian.org/DebianKernel

and report back on those, if still failing on latest
upstream needs to be notified.

thanks for update.

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#407217; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jon+bts@alcopop.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 407217@bugs.debian.org (full text, mbox):

From: Jon Dowland <jon+bts@alcopop.org>
To: 407217@bugs.debian.org
Subject: RTL-8169 multicast bug (was Re: sky2 hang reproduced)
Date: Sat, 5 Jul 2008 16:14:58 +0100
Hi, it is not the sky2, it's an RTL-8169.

On Fri, Jul 04, 2008 at 10:36:58PM +0200, maximilian attems wrote:
> please checkout current 2.6.25 unstable linux images
> or even better 2.6.26-rc8 trunk snapshots see apt lines
> -> http://wiki.debian.org/DebianKernel
> 
> and report back on those, if still failing on latest
> upstream needs to be notified.

Sure -- I'm CCing debian-arm incase someone there has a n2100 running
one of those kernels already -- it will take me days to build it :)

Can someone verify that the rtl 8169 multicast bug is present on modern
kernels: best way is to ensure your iface is not promisc, and run
something like mt-daapd and see if after 30 minutes or so your share
disappears from the network, and whether setting the iface to promisc
fixes it.

linux-image-2.6.25-2-iop32x is in the archive so I will try and install
that.

-- 
Jon Dowland

-- 
Jon Dowland




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#407217; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Mikhail Gusarov <dottedmag@dottedmag.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 407217@bugs.debian.org (full text, mbox):

From: Mikhail Gusarov <dottedmag@dottedmag.net>
To: Jon Dowland <jon+bts@alcopop.org>
Cc: 407217@bugs.debian.org
Subject: Re: RTL-8169 multicast bug
Date: Sat, 05 Jul 2008 23:55:16 +0700
[Message part 1 (text/plain, inline)]
Twas brillig at 16:14:58 05.07.2008 UTC+01 when jon+bts@alcopop.org did gyre and gimble:

 JD> Sure -- I'm CCing debian-arm incase someone there has a n2100
 JD> running one of those kernels already -- it will take me days to
 JD> build it :)

 JD> Can someone verify that the rtl 8169 multicast bug is present on
 JD> modern kernels: best way is to ensure your iface is not promisc,
 JD> and run something like mt-daapd and see if after 30 minutes or so
 JD> your share disappears from the network, and whether setting the
 JD> iface to promisc fixes it.

I confirm this bug.

I run the avahi-daemon on the device and it does not respond on
multicast queries until tcpdump is started and then it works fine.

This behavior is repeatable even with BROADCAST flag on the interface
(actually running tcpdump is critical due to some reason).

[dottedmag@homenas:~]% uname -a
Linux homenas 2.6.25-2-iop32x #2 Sat Jun 28 16:10:57 UTC 2008 armv5tel GNU/Linux
[dottedmag@homenas:~]1% cat /proc/cpuinfo 
Processor	: XScale-80219 rev 0 (v5l)
BogoMIPS	: 593.10
Features	: swp half fastmult edsp 
CPU implementer	: 0x69
CPU architecture: 5TE
CPU variant	: 0x0
CPU part	: 0x2e3
CPU revision	: 0
Cache type	: undefined 5
Cache clean	: undefined 5
Cache lockdown	: undefined 5
Cache format	: Harvard
I size		: 32768
I assoc		: 32
I line length	: 32
I sets		: 32
D size		: 32768
D assoc		: 32
D line length	: 32
D sets		: 32

Hardware	: Thecus N2100
Revision	: 0000
[dottedmag@homenas:~]% apt-cache policy linux-image-2.6.25-2-iop32x
linux-image-2.6.25-2-iop32x:
  Installed: 2.6.25-6
  Candidate: 2.6.25-6
  Version table:
 *** 2.6.25-6 0
        100 /var/lib/dpkg/status

-- 
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#407217; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Mikhail Gusarov <dottedmag@dottedmag.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 407217@bugs.debian.org (full text, mbox):

From: Mikhail Gusarov <dottedmag@dottedmag.net>
To: Jon Dowland <jon+bts@alcopop.org>
Cc: 407217@bugs.debian.org
Subject: Re: RTL-8169 multicast bug
Date: Sat, 05 Jul 2008 23:56:48 +0700
[Message part 1 (text/plain, inline)]
Twas brillig at 23:55:16 05.07.2008 UTC+07 when dottedmag@dottedmag.net did gyre and gimble:

 MG> This behavior is repeatable even with BROADCAST flag on the
 MG> interface (actually running tcpdump is critical due to some
 MG> reason).

Oops, please ignore this :) Why did I think about BROADCAST?

-- 
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#407217; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Mikhail Gusarov <dottedmag@dottedmag.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 407217@bugs.debian.org (full text, mbox):

From: Mikhail Gusarov <dottedmag@dottedmag.net>
To: 407217@bugs.debian.org
Subject: Re: RTL-8169 multicast bug
Date: Sun, 06 Jul 2008 21:06:07 +0700
[Message part 1 (text/plain, inline)]
BTW, there are two more similara bugreports: #486442 and #488495

-- 
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#407217; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #65 received at 407217@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Mikhail Gusarov <dottedmag@dottedmag.net>, 407217@bugs.debian.org
Subject: Re: Bug#407217: RTL-8169 multicast bug
Date: Sun, 6 Jul 2008 17:35:57 +0300
* Mikhail Gusarov <dottedmag@dottedmag.net> [2008-07-06 21:06]:
> BTW, there are two more similara bugreports: #486442 and #488495

Can you please mail Francois Romieu <romieu@fr.zoreil.com> and
netdev@vger.kernel.org with an explanation of the problem?
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#407217; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Mikhail Gusarov <dottedmag@dottedmag.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #70 received at 407217@bugs.debian.org (full text, mbox):

From: Mikhail Gusarov <dottedmag@dottedmag.net>
To: romieu@fr.zoreil.com, netdev@vger.kernel.org
Subject: r8169: Thecus N2100, multicast packets problem
Date: Tue, 08 Jul 2008 22:43:44 +0700
[Message part 1 (text/plain, inline)]
Hello,

I'm experiencing a problem with RTL-8169 network card on Thecus N2100
NAS device on 2.6.24 and 2.6.25 kernels (did not try other versions).

System seems to be unable either to receive or to transmit multicast
packets until promiscous mode is set on interface: mDNS does not work on
this device, both for resolving other .local names or answering mDNS
requests.

Running tcpdump corrects the situation. Unicast packets work fine.

I'm not on the list, so please keep me in CC.

Additional info:

[dottedmag@homenas:~]1% cat /proc/cpuinfo 
Processor	: XScale-80219 rev 0 (v5l)
BogoMIPS	: 593.10
Features	: swp half fastmult edsp 
CPU implementer	: 0x69
CPU architecture: 5TE
CPU variant	: 0x0
CPU part	: 0x2e3
CPU revision	: 0
Cache type	: undefined 5
Cache clean	: undefined 5
Cache lockdown	: undefined 5
Cache format	: Harvard
I size		: 32768
I assoc		: 32
I line length	: 32
I sets		: 32
D size		: 32768
D assoc		: 32
D line length	: 32
D sets		: 32

Hardware	: Thecus N2100
Revision	: 0000
Serial		: 0000000000000000
[dottedmag@homenas:~]% lspci
00:01.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet (rev 10)
00:02.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet (rev 10)
00:03.0 Mass storage controller: Silicon Image, Inc. SiI 3512 [SATALink/SATARaid] Serial ATA Controller (rev 01)
00:04.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 62)
00:04.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 62)
00:04.2 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 65)
[dottedmag@homenas:~]% lspci -n
00:01.0 0200: 10ec:8169 (rev 10)
00:02.0 0200: 10ec:8169 (rev 10)
00:03.0 0180: 1095:3512 (rev 01)
00:04.0 0c03: 1106:3038 (rev 62)
00:04.1 0c03: 1106:3038 (rev 62)
00:04.2 0c03: 1106:3104 (rev 65)
[dottedmag@homenas:~]% uname -a
Linux homenas 2.6.25-2-iop32x #2 Sat Jun 28 16:10:57 UTC 2008 armv5tel GNU/Linux

-- 
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#407217; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #75 received at 407217@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 407217@bugs.debian.org, Jon Dowland <jon@alcopop.org>
Subject: Re: Bug#407217: RTL-8169 multicast bug
Date: Thu, 10 Jul 2008 17:40:07 +0300
Jon, so this also happened with 2.6.18?

-- 
Martin Michlmayr
http://www.cyrius.com/




Merged 407217 488495. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 10 Jul 2008 14:45:10 GMT) Full text and rfc822 format available.

Owner recorded as Martin Michlmayr <tbm@cyrius.com>. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 10 Jul 2008 14:51:04 GMT) Full text and rfc822 format available.

Merged 407217 486442 488495. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 10 Jul 2008 14:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#407217; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jon+bts@alcopop.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. Full text and rfc822 format available.

Message #86 received at 407217@bugs.debian.org (full text, mbox):

From: Jon Dowland <jon+bts@alcopop.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 407217@bugs.debian.org
Subject: Re: Bug#407217: RTL-8169 multicast bug
Date: Sat, 19 Jul 2008 19:16:34 +0100
On Thu, Jul 10, 2008 at 05:40:07PM +0300, Martin Michlmayr wrote:
> Jon, so this also happened with 2.6.18?

I believe so. I'm afraid I cannot confirm, if 2.6.18 was the default
kernel for the version of debian installed when you first put up the
n2100 pages a few years ago, then yes.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#407217; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #91 received at 407217@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: romieu@fr.zoreil.com
Cc: Mikhail Gusarov <dottedmag@dottedmag.net>, netdev@vger.kernel.org, 407217@bugs.debian.org
Subject: Re: r8169: Thecus N2100, multicast packets problem
Date: Sun, 20 Jul 2008 23:24:55 +0300
Francois,

Did you see the bug report below?  Several people are affected by this
(all on the same hardware) and apparently this has never worked (i.e.
also shows up with 2.6.18).

* Mikhail Gusarov <dottedmag@dottedmag.net> [2008-07-08 22:43]:
> Hello,
> 
> I'm experiencing a problem with RTL-8169 network card on Thecus N2100
> NAS device on 2.6.24 and 2.6.25 kernels (did not try other versions).
> 
> System seems to be unable either to receive or to transmit multicast
> packets until promiscous mode is set on interface: mDNS does not work on
> this device, both for resolving other .local names or answering mDNS
> requests.
> 
> Running tcpdump corrects the situation. Unicast packets work fine.
> 
> I'm not on the list, so please keep me in CC.
> 
> Additional info:
> 
> [dottedmag@homenas:~]1% cat /proc/cpuinfo 
> Processor	: XScale-80219 rev 0 (v5l)
> BogoMIPS	: 593.10
> Features	: swp half fastmult edsp 
> CPU implementer	: 0x69
> CPU architecture: 5TE
> CPU variant	: 0x0
> CPU part	: 0x2e3
> CPU revision	: 0
> Cache type	: undefined 5
> Cache clean	: undefined 5
> Cache lockdown	: undefined 5
> Cache format	: Harvard
> I size		: 32768
> I assoc		: 32
> I line length	: 32
> I sets		: 32
> D size		: 32768
> D assoc		: 32
> D line length	: 32
> D sets		: 32
> 
> Hardware	: Thecus N2100
> Revision	: 0000
> Serial		: 0000000000000000
> [dottedmag@homenas:~]% lspci
> 00:01.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet (rev 10)
> 00:02.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet (rev 10)
> 00:03.0 Mass storage controller: Silicon Image, Inc. SiI 3512 [SATALink/SATARaid] Serial ATA Controller (rev 01)
> 00:04.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 62)
> 00:04.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 62)
> 00:04.2 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 65)
> [dottedmag@homenas:~]% lspci -n
> 00:01.0 0200: 10ec:8169 (rev 10)
> 00:02.0 0200: 10ec:8169 (rev 10)
> 00:03.0 0180: 1095:3512 (rev 01)
> 00:04.0 0c03: 1106:3038 (rev 62)
> 00:04.1 0c03: 1106:3038 (rev 62)
> 00:04.2 0c03: 1106:3104 (rev 65)
> [dottedmag@homenas:~]% uname -a
> Linux homenas 2.6.25-2-iop32x #2 Sat Jun 28 16:10:57 UTC 2008 armv5tel GNU/Linux
> 
> -- 



-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#407217; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #96 received at 407217@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 407217@bugs.debian.org
Subject: comment
Date: Mon, 21 Jul 2008 14:23:59 +0300
< Womble2> tbm: re 8169, perhaps you need to add yet another
multicast-filter-challenged MAC variant in rtl_set_rx_mode()

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#407217; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Francois Romieu <romieu@fr.zoreil.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. Full text and rfc822 format available.

Message #101 received at 407217@bugs.debian.org (full text, mbox):

From: Francois Romieu <romieu@fr.zoreil.com>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Mikhail Gusarov <dottedmag@dottedmag.net>, netdev@vger.kernel.org, 407217@bugs.debian.org
Subject: Re: r8169: Thecus N2100, multicast packets problem
Date: Mon, 21 Jul 2008 23:15:57 +0200
Martin Michlmayr <tbm@cyrius.com> :
[...]
> Did you see the bug report below ?

Yes.

I have not had time to investigate it yet.

-- 
Ueimor




Forcibly Merged 407217 486442 488495 494363. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sat, 09 Aug 2008 05:54:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#407217; Package linux-2.6. (Fri, 12 Dec 2008 14:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Monro <davidm@davidmonro.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. (Fri, 12 Dec 2008 14:36:02 GMT) Full text and rfc822 format available.

Message #108 received at 407217@bugs.debian.org (full text, mbox):

From: David Monro <davidm@davidmonro.net>
To: 407217@bugs.debian.org
Subject: not just on thecus devices...
Date: Sat, 13 Dec 2008 01:00:30 +1030
I seem to have exactly the same issue on a normal PC

*motherboard is a Gigabyte GA-MA78GPM-DS2H

*lspci reports
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)

* kernel messages:
[    1.331851] r8169 Gigabit Ethernet driver 2.2LK-NAPI loaded
[    1.331851] eth0: RTL8168c/8111c at 0xffffc2000062c000,
00:1f:d0:9b:88:5d, XID 3c4000c0 IRQ 1278
[   20.968195] r8169: eth0: link up
[   20.970312] r8169: eth0: link up
[   31.939540] eth0: no IPv6 routers present

* kernel is linux-image-2.6.26-1-amd64 2.6.26-11 (current lenny kernel)

Symptoms are consistent with broken multicast; it doesn't autoconfigure
ipv6 addresses and claims there is no router present, and manually
configuring the ipv6 address allows the computer to connect out to other
ipv6 machines, but if it has been idle on the network for a while, other
machines can't connect to it (but can connect on ipv4) presumably
because it doesn't hear the neighbour solicitation requests.

Setting allmulti on the interface seems to solve it for now, so I've
just got that as a post-up in /etc/network/interfaces, but *ick*.

Is this ever going to be fixed??

Cheers.

	David




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#407217; Package linux-2.6. (Fri, 12 Dec 2008 15:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 12 Dec 2008 15:51:02 GMT) Full text and rfc822 format available.

Message #113 received at 407217@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: David Monro <davidm@davidmonro.net>, 407217@bugs.debian.org
Cc: Francois Romieu <romieu@fr.zoreil.com>
Subject: Re: Bug#407217: not just on thecus devices...
Date: Fri, 12 Dec 2008 16:48:09 +0100
Copying Francois Romieu:

* David Monro <davidm@davidmonro.net> [2008-12-13 01:00]:
> I seem to have exactly the same issue on a normal PC
> 
> *motherboard is a Gigabyte GA-MA78GPM-DS2H
> 
> *lspci reports
> 02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
> RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
> 
> * kernel messages:
> [    1.331851] r8169 Gigabit Ethernet driver 2.2LK-NAPI loaded
> [    1.331851] eth0: RTL8168c/8111c at 0xffffc2000062c000,
> 00:1f:d0:9b:88:5d, XID 3c4000c0 IRQ 1278
> [   20.968195] r8169: eth0: link up
> [   20.970312] r8169: eth0: link up
> [   31.939540] eth0: no IPv6 routers present
> 
> * kernel is linux-image-2.6.26-1-amd64 2.6.26-11 (current lenny kernel)
> 
> Symptoms are consistent with broken multicast; it doesn't autoconfigure
> ipv6 addresses and claims there is no router present, and manually
> configuring the ipv6 address allows the computer to connect out to other
> ipv6 machines, but if it has been idle on the network for a while, other
> machines can't connect to it (but can connect on ipv4) presumably
> because it doesn't hear the neighbour solicitation requests.
> 
> Setting allmulti on the interface seems to solve it for now, so I've
> just got that as a post-up in /etc/network/interfaces, but *ick*.
> 
> Is this ever going to be fixed??

I'm not sure if Francois Romieu has made any progress with this.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#407217; Package linux-2.6. (Sun, 14 Dec 2008 19:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francois Romieu <romieu@fr.zoreil.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. (Sun, 14 Dec 2008 19:54:02 GMT) Full text and rfc822 format available.

Message #118 received at 407217@bugs.debian.org (full text, mbox):

From: Francois Romieu <romieu@fr.zoreil.com>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: David Monro <davidm@davidmonro.net>, 407217@bugs.debian.org
Subject: Re: Bug#407217: not just on thecus devices...
Date: Sun, 14 Dec 2008 20:51:37 +0100
Martin Michlmayr <tbm@cyrius.com> :
> Copying Francois Romieu:

Thanks. You are welcome.

> * David Monro <davidm@davidmonro.net> [2008-12-13 01:00]:
> > I seem to have exactly the same issue on a normal PC
[...]
> I'm not sure if Francois Romieu has made any progress with this.

No.

I guess that it makes no difference if your kernel is x86_64 or not ?

-- 
Ueimor




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#407217; Package linux-2.6. (Mon, 15 Jun 2009 13:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. (Mon, 15 Jun 2009 13:06:05 GMT) Full text and rfc822 format available.

Message #123 received at 407217@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 407217@bugs.debian.org
Subject: Re: avahi not working with r8169 driver
Date: Mon, 15 Jun 2009 14:01:44 +0100
found 407217 2.6.26-15
thanks

I believe I'm seeing this on an amd64 system with the following
hardware:

06:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
	Kernel driver in use: r8169
	Kernel modules: r8169

That's the onboard NIC of an Asus P6T-SE.

Symptoms: the system does not receive any avahi queries or responses
unless I put the interface into promiscuous mode with tcpdump/tshark.

2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast
state UNKNOWN qlen 1000
    link/ether 00:24:8c:71:4d:1d brd ff:ff:ff:ff:ff:ff

I am currently testing version 2.6.29-5 and everything's working fine.
So this may have been fixed in a later version of the kernel.

-- 
Sam Morris <sam@robots.org.uk>




Bug marked as found in version 2.6.26-15. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Mon, 15 Jun 2009 13:06:07 GMT) Full text and rfc822 format available.

Message sent on to jon+bts@alcopop.org:
Bug#407217. (Mon, 15 Jun 2009 15:27:11 GMT) Full text and rfc822 format available.

Message #128 received at 407217-submitter@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Sam Morris <sam@robots.org.uk>, 407217-submitter@bugs.debian.org
Subject: Re: Bug#407217: avahi not working with r8169 driver
Date: Mon, 15 Jun 2009 16:16:37 +0100
On Mon, Jun 15, 2009 at 02:01:44PM +0100, Sam Morris wrote:
> found 407217 2.6.26-15
> thanks
> 
> I believe I'm seeing this on an amd64 system with the following
> hardware:
> 
> 06:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
> RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
> 	Kernel driver in use: r8169
> 	Kernel modules: r8169
> 
> That's the onboard NIC of an Asus P6T-SE.
[...]

I think this is the same as bug #514268, which should be fixed in stable
release 5.0.2 (package version 2.6.26-16).

Ben.

-- 
Ben Hutchings
Reality is just a crutch for people who can't handle science fiction.




Reply sent to Moritz Muehlenhoff <jmm@inutil.org>:
You have taken responsibility. (Mon, 03 Aug 2009 17:51:14 GMT) Full text and rfc822 format available.

Notification sent to jon+bts@alcopop.org:
Bug acknowledged by developer. (Mon, 03 Aug 2009 17:51:14 GMT) Full text and rfc822 format available.

Message #133 received at 407217-done@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: 407217-done@bugs.debian.org
Subject: Re: Bug#407217: avahi not working with r8169 driver
Date: Mon, 3 Aug 2009 19:45:01 +0200
Version: 2.6.26-16

On Mon, Jun 15, 2009 at 04:16:37PM +0100, Ben Hutchings wrote:
> On Mon, Jun 15, 2009 at 02:01:44PM +0100, Sam Morris wrote:
> > found 407217 2.6.26-15
> > thanks
> > 
> > I believe I'm seeing this on an amd64 system with the following
> > hardware:
> > 
> > 06:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
> > RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
> > 	Kernel driver in use: r8169
> > 	Kernel modules: r8169
> > 
> > That's the onboard NIC of an Asus P6T-SE.
> [...]
> 
> I think this is the same as bug #514268, which should be fixed in stable
> release 5.0.2 (package version 2.6.26-16).

Marking as fixed in that version. Jon, please reopen if the bug persists.

Cheers,
        Moritz




Reply sent to Moritz Muehlenhoff <jmm@inutil.org>:
You have taken responsibility. (Mon, 03 Aug 2009 17:51:15 GMT) Full text and rfc822 format available.

Notification sent to Mikhail Gusarov <dottedmag@dottedmag.net>:
Bug acknowledged by developer. (Mon, 03 Aug 2009 17:51:15 GMT) Full text and rfc822 format available.

Reply sent to Moritz Muehlenhoff <jmm@inutil.org>:
You have taken responsibility. (Mon, 03 Aug 2009 17:51:16 GMT) Full text and rfc822 format available.

Notification sent to Ross Burton <ross@debian.org>:
Bug acknowledged by developer. (Mon, 03 Aug 2009 17:51:16 GMT) Full text and rfc822 format available.

Reply sent to Moritz Muehlenhoff <jmm@inutil.org>:
You have taken responsibility. (Mon, 03 Aug 2009 17:51:17 GMT) Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. (Mon, 03 Aug 2009 17:51:17 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions 2.6.26-16 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 04 Aug 2009 14:33:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'linux-2.6' to 'src:linux-2.6'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 04 Sep 2009 16:12:11 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.6.26-15 and 2.6.24-4. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 04 Sep 2009 16:12:14 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.26-15. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 04 Sep 2009 16:12:18 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.24-4. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 04 Sep 2009 16:12:21 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:linux-2.6' to 'linux-2.6'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 04 Sep 2009 16:24:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-2.6/2.6.26-15 and linux-2.6/2.6.24-4. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 04 Sep 2009 16:24:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.26-15. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 04 Sep 2009 16:24:12 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.24-4. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 04 Sep 2009 16:24:15 GMT) Full text and rfc822 format available.

Changed Bug title to 'Multicast broken in r8169 for one version of Thecus N2100' from 'avahi-daemon/mt-daapd disappear from network after ~1 hour' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 15 Oct 2009 22:27:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#407217; Package linux-2.6. (Fri, 16 Oct 2009 03:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. (Fri, 16 Oct 2009 03:36:07 GMT) Full text and rfc822 format available.

Message #173 received at 407217@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Martin Michlmayr <tbm@cyrius.com>, Vincent Sanders <vince@kyllikki.org>
Cc: 407217@bugs.debian.org
Subject: Re: Multicast broken in r8169 for one version of Thecus N2100
Date: Fri, 16 Oct 2009 04:27:01 +0100
[Message part 1 (text/plain, inline)]
I'd like to get this bug fixed in some way for the N2100, either by
setting all bits in the multicast hash for this specific hardware
(assuming we can detect it programmatically) or by adjusting the way we
generate the multicast hash.

Vince, do you have a test for this specific hardware?  I know it's MAC
type 4 (RTL8169SB/RTL8110SB) but this bug seems to be more specific than
that.

Some time back it was discovered that in MMIO mode the 64-bit address
registers need to be written high-bits-first on this hardware, because
writing the high 32 bits clears the low 32 bits.  Given that the
multicast hash table is also a 64-bit register, maybe it suffers from a
similar bug?  It might be worth trying the following change:

--- a/drivers/net/r8169.c
+++ b/drivers/net/r8169.c
@@ -3781,8 +3781,18 @@ static void rtl_set_rx_mode(struct net_device *dev)
 		mc_filter[1] = swab32(data);
 	}
 
+	pr_info("%s: mc_filter = { 0x%08x, 0x%08x }\n", __func__,
+		mc_filter[0], mc_filter[1]);
+
 	RTL_W32(MAR0 + 0, mc_filter[0]);
 	RTL_W32(MAR0 + 4, mc_filter[1]);
+	pr_info("%s: MAR = 0x%08lx%08lx\n", __func__,
+		RTL_R32(MAR0 + 4), RTL_R32(MAR0 + 0));
+
+	RTL_W32(MAR0 + 4, mc_filter[1]);
+	RTL_W32(MAR0 + 0, mc_filter[0]);
+	pr_info("%s: MAR = 0x%08lx%08lx\n", __func__,
+		RTL_R32(MAR0 + 4), RTL_R32(MAR0 + 0));
 
 	RTL_W32(RxConfig, tmp);
 
--- END ---

Ben.

-- 
Ben Hutchings
The most exhausting thing in life is being insincere. - Anne Morrow Lindberg
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#407217; Package linux-2.6. (Mon, 04 Jan 2010 15:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 04 Jan 2010 15:33:05 GMT) Full text and rfc822 format available.

Message #178 received at 407217@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Jon Dowland <jon@alcopop.org>, sjoerd@spring.luon.net, Mikhail Gusarov <dottedmag@dottedmag.net>, wouter@debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>, 407217@bugs.debian.org
Subject: Re: Bug#407217: Multicast broken in r8169 for one version of Thecus N2100
Date: Mon, 4 Jan 2010 15:30:57 +0000
Jon, Sjoerg, Mikhail, Wouter: can one of you please test this kernel
to see if it works on the N2100:
http://merkel.debian.org/~tbm/tmp/kernel/linux-image-2.6.32-trunk-iop32x_2.6.32-4_armel.deb

* Ben Hutchings <ben@decadent.org.uk> [2009-10-16 04:27]:
> I'd like to get this bug fixed in some way for the N2100, either by
> setting all bits in the multicast hash for this specific hardware
> (assuming we can detect it programmatically) or by adjusting the way we
> generate the multicast hash.
> 
> Vince, do you have a test for this specific hardware?  I know it's MAC
> type 4 (RTL8169SB/RTL8110SB) but this bug seems to be more specific than
> that.
> 
> Some time back it was discovered that in MMIO mode the 64-bit address
> registers need to be written high-bits-first on this hardware, because
> writing the high 32 bits clears the low 32 bits.  Given that the
> multicast hash table is also a 64-bit register, maybe it suffers from a
> similar bug?  It might be worth trying the following change:
> 
> --- a/drivers/net/r8169.c
> +++ b/drivers/net/r8169.c
> @@ -3781,8 +3781,18 @@ static void rtl_set_rx_mode(struct net_device *dev)
>  		mc_filter[1] = swab32(data);
>  	}
>  
> +	pr_info("%s: mc_filter = { 0x%08x, 0x%08x }\n", __func__,
> +		mc_filter[0], mc_filter[1]);
> +
>  	RTL_W32(MAR0 + 0, mc_filter[0]);
>  	RTL_W32(MAR0 + 4, mc_filter[1]);
> +	pr_info("%s: MAR = 0x%08lx%08lx\n", __func__,
> +		RTL_R32(MAR0 + 4), RTL_R32(MAR0 + 0));
> +
> +	RTL_W32(MAR0 + 4, mc_filter[1]);
> +	RTL_W32(MAR0 + 0, mc_filter[0]);
> +	pr_info("%s: MAR = 0x%08lx%08lx\n", __func__,
> +		RTL_R32(MAR0 + 4), RTL_R32(MAR0 + 0));
>  
>  	RTL_W32(RxConfig, tmp);
>  
> --- END ---
> 
> Ben.
> 
> -- 
> Ben Hutchings
> The most exhausting thing in life is being insincere. - Anne Morrow Lindberg



-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#407217; Package linux-2.6. (Mon, 15 Feb 2010 01:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. (Mon, 15 Feb 2010 01:33:03 GMT) Full text and rfc822 format available.

Message #183 received at 407217@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Jon Dowland <jon@alcopop.org>, sjoerd@spring.luon.net, Mikhail Gusarov <dottedmag@dottedmag.net>, wouter@debian.org, Ben Hutchings <ben@decadent.org.uk>, 407217@bugs.debian.org
Subject: Re: Bug#407217: Multicast broken in r8169 for one version of Thecus N2100
Date: Mon, 15 Feb 2010 02:30:22 +0100
On Mon, Jan 04, 2010 at 03:30:57PM +0000, Martin Michlmayr wrote:
> Jon, Sjoerg, Mikhail, Wouter: can one of you please test this kernel
> to see if it works on the N2100:
> http://merkel.debian.org/~tbm/tmp/kernel/linux-image-2.6.32-trunk-iop32x_2.6.32-4_armel.deb

Did anyone test the kernel build?

Cheers,
        Moritz

> * Ben Hutchings <ben@decadent.org.uk> [2009-10-16 04:27]:
> > I'd like to get this bug fixed in some way for the N2100, either by
> > setting all bits in the multicast hash for this specific hardware
> > (assuming we can detect it programmatically) or by adjusting the way we
> > generate the multicast hash.
> > 
> > Vince, do you have a test for this specific hardware?  I know it's MAC
> > type 4 (RTL8169SB/RTL8110SB) but this bug seems to be more specific than
> > that.
> > 
> > Some time back it was discovered that in MMIO mode the 64-bit address
> > registers need to be written high-bits-first on this hardware, because
> > writing the high 32 bits clears the low 32 bits.  Given that the
> > multicast hash table is also a 64-bit register, maybe it suffers from a
> > similar bug?  It might be worth trying the following change:
> > 
> > --- a/drivers/net/r8169.c
> > +++ b/drivers/net/r8169.c
> > @@ -3781,8 +3781,18 @@ static void rtl_set_rx_mode(struct net_device *dev)
> >  		mc_filter[1] = swab32(data);
> >  	}
> >  
> > +	pr_info("%s: mc_filter = { 0x%08x, 0x%08x }\n", __func__,
> > +		mc_filter[0], mc_filter[1]);
> > +
> >  	RTL_W32(MAR0 + 0, mc_filter[0]);
> >  	RTL_W32(MAR0 + 4, mc_filter[1]);
> > +	pr_info("%s: MAR = 0x%08lx%08lx\n", __func__,
> > +		RTL_R32(MAR0 + 4), RTL_R32(MAR0 + 0));
> > +
> > +	RTL_W32(MAR0 + 4, mc_filter[1]);
> > +	RTL_W32(MAR0 + 0, mc_filter[0]);
> > +	pr_info("%s: MAR = 0x%08lx%08lx\n", __func__,
> > +		RTL_R32(MAR0 + 4), RTL_R32(MAR0 + 0));
> >  
> >  	RTL_W32(RxConfig, tmp);
> >  
> > --- END ---
> > 
> > Ben.
> > 
> > -- 
> > Ben Hutchings
> > The most exhausting thing in life is being insincere. - Anne Morrow Lindberg
> 
> 
> 
> -- 
> Martin Michlmayr
> http://www.cyrius.com/
> 
> 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#407217; Package linux-2.6. (Mon, 15 Feb 2010 07:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mikhail Gusarov <dottedmag@dottedmag.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. (Mon, 15 Feb 2010 07:45:03 GMT) Full text and rfc822 format available.

Message #188 received at 407217@bugs.debian.org (full text, mbox):

From: Mikhail Gusarov <dottedmag@dottedmag.net>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: Martin Michlmayr <tbm@cyrius.com>, Jon Dowland <jon@alcopop.org>, sjoerd@spring.luon.net, wouter@debian.org, Ben Hutchings <ben@decadent.org.uk>, 407217@bugs.debian.org
Subject: Re: Bug#407217: Multicast broken in r8169 for one version of Thecus N2100
Date: Mon, 15 Feb 2010 08:33:10 +0100
[Message part 1 (text/plain, inline)]
Twas brillig at 02:30:22 15.02.2010 UTC+01 when jmm@inutil.org did gyre and gimble:

 >> Jon, Sjoerg, Mikhail, Wouter: can one of you please test this kernel
 >> to see if it works on the N2100:
 >> http://merkel.debian.org/~tbm/tmp/kernel/linux-image-2.6.32-trunk-iop32x_2.6.32-4_armel.deb

 MM> Did anyone test the kernel build?

Sorry, don't have serial attached to recover in case of problems. Is it
enough to unpack the kernel and modules and load it using kexec?

-- 
  http://fossarchy.blogspot.com/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#407217; Package linux-2.6. (Mon, 15 Feb 2010 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 15 Feb 2010 16:57:03 GMT) Full text and rfc822 format available.

Message #193 received at 407217@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Mikhail Gusarov <dottedmag@dottedmag.net>, 407217@bugs.debian.org
Cc: Moritz Muehlenhoff <jmm@inutil.org>, Jon Dowland <jon@alcopop.org>, sjoerd@spring.luon.net, wouter@debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#407217: Multicast broken in r8169 for one version of Thecus N2100
Date: Mon, 15 Feb 2010 16:55:49 +0000
* Mikhail Gusarov <dottedmag@dottedmag.net> [2010-02-15 08:33]:
>  MM> Did anyone test the kernel build?
> 
> Sorry, don't have serial attached to recover in case of problems. Is it
> enough to unpack the kernel and modules and load it using kexec?

I've never tried kexec.  If it works, then sure.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#407217; Package linux-2.6. (Sun, 07 Mar 2010 14:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mikhail Gusarov <dottedmag@dottedmag.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. (Sun, 07 Mar 2010 14:21:04 GMT) Full text and rfc822 format available.

Message #198 received at 407217@bugs.debian.org (full text, mbox):

From: Mikhail Gusarov <dottedmag@dottedmag.net>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: Martin Michlmayr <tbm@cyrius.com>, Jon Dowland <jon@alcopop.org>, sjoerd@spring.luon.net, wouter@debian.org, Ben Hutchings <ben@decadent.org.uk>, 407217@bugs.debian.org
Subject: Re: Bug#407217: Multicast broken in r8169 for one version of Thecus N2100
Date: Sun, 07 Mar 2010 20:18:42 +0600
[Message part 1 (text/plain, inline)]
Twas brillig at 02:30:22 15.02.2010 UTC+01 when jmm@inutil.org did gyre and gimble:

 >> Jon, Sjoerg, Mikhail, Wouter: can one of you please test this kernel
 >> to see if it works on the N2100:
 >> http://merkel.debian.org/~tbm/tmp/kernel/linux-image-2.6.32-trunk-iop32x_2.6.32-4_armel.deb

 MM> Did anyone test the kernel build?

Just tested it. Works fine here (mDNS resolves without promisc mode on interface), thanks.

-- 
  http://fossarchy.blogspot.com/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#407217; Package linux-2.6. (Sun, 07 Mar 2010 14:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 07 Mar 2010 14:42:02 GMT) Full text and rfc822 format available.

Message #203 received at 407217@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Mikhail Gusarov <dottedmag@dottedmag.net>, 407217@bugs.debian.org
Cc: Moritz Muehlenhoff <jmm@inutil.org>, Jon Dowland <jon@alcopop.org>, sjoerd@spring.luon.net, wouter@debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#407217: Multicast broken in r8169 for one version of Thecus N2100
Date: Sun, 7 Mar 2010 14:41:10 +0000
* Mikhail Gusarov <dottedmag@dottedmag.net> [2010-03-07 20:18]:
> Just tested it. Works fine here (mDNS resolves without promisc mode on interface), thanks.

Good to hear!  That patch also included some debugging output.  Can
you please send the output from "dmesg"?

Thanks.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#407217; Package linux-2.6. (Sun, 07 Mar 2010 14:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mikhail Gusarov <dottedmag@dottedmag.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. (Sun, 07 Mar 2010 14:51:06 GMT) Full text and rfc822 format available.

Message #208 received at 407217@bugs.debian.org (full text, mbox):

From: Mikhail Gusarov <dottedmag@dottedmag.net>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 407217@bugs.debian.org, Moritz Muehlenhoff <jmm@inutil.org>, Jon Dowland <jon@alcopop.org>, sjoerd@spring.luon.net, wouter@debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#407217: Multicast broken in r8169 for one version of Thecus N2100
Date: Sun, 07 Mar 2010 20:48:39 +0600
[Message part 1 (text/plain, inline)]
Twas brillig at 14:41:10 07.03.2010 UTC+00 when tbm@cyrius.com did gyre and gimble:

 >> Just tested it. Works fine here (mDNS resolves without promisc mode
 >> on interface), thanks.

 MM> Good to hear!  That patch also included some debugging output.  Can
 MM> you please send the output from "dmesg"?

Attached.

[looking at dmesg: wow, looks like I just found wireless card I lost
some time ago - it's mini-PCI slot in NAS :]

-- 
  http://fossarchy.blogspot.com/
[Message part 2 (application/pgp-signature, inline)]
[dmesg (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#407217; Package linux-2.6. (Sun, 07 Mar 2010 15:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. (Sun, 07 Mar 2010 15:54:03 GMT) Full text and rfc822 format available.

Message #213 received at 407217@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Martin Michlmayr <tbm@cyrius.com>, 407217@bugs.debian.org
Cc: Mikhail Gusarov <dottedmag@dottedmag.net>, Moritz Muehlenhoff <jmm@inutil.org>, Jon Dowland <jon@alcopop.org>, sjoerd@spring.luon.net, wouter@debian.org
Subject: Re: Bug#407217: Multicast broken in r8169 for one version of Thecus N2100
Date: Sun, 07 Mar 2010 15:50:37 +0000
[Message part 1 (text/plain, inline)]
On Sun, 2010-03-07 at 20:48 +0600, Mikhail Gusarov wrote:
> Twas brillig at 14:41:10 07.03.2010 UTC+00 when tbm@cyrius.com did
> gyre and gimble:
> 
>  >> Just tested it. Works fine here (mDNS resolves without promisc mode
>  >> on interface), thanks.
> 
>  MM> Good to hear!  That patch also included some debugging output.  Can
>  MM> you please send the output from "dmesg"?
> 
> Attached.
> 
> [looking at dmesg: wow, looks like I just found wireless card I lost
> some time ago - it's mini-PCI slot in NAS :]
[...]
> [  424.350000] device eth0 left promiscuous mode
> [  424.350000] rtl_set_rx_mode: mc_filter = { 0x80088000, 0x40004000 }
> [  424.350000] rtl_set_rx_mode: MAR = 0x4000400040004000
> [  424.350000] rtl_set_rx_mode: MAR = 0x4000400080088000 
[...]

As I suspected, writing the high bits also changes the low bits so we
must write high before low.

The next question is whether doing that works for all r8169 variants or
whether it needs to be conditional.

Ben.

-- 
Ben Hutchings
The most exhausting thing in life is being insincere. - Anne Morrow Lindberg
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#407217; Package linux-2.6. (Sat, 01 May 2010 21:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. (Sat, 01 May 2010 21:15:04 GMT) Full text and rfc822 format available.

Message #218 received at 407217@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Martin Michlmayr <tbm@cyrius.com>, 407217@bugs.debian.org, Mikhail Gusarov <dottedmag@dottedmag.net>, Moritz Muehlenhoff <jmm@inutil.org>, Jon Dowland <jon@alcopop.org>, sjoerd@spring.luon.net, wouter@debian.org
Subject: Re: Bug#407217: Multicast broken in r8169 for one version of Thecus N2100
Date: Sat, 1 May 2010 23:13:30 +0200
On Sun, Mar 07, 2010 at 03:50:37PM +0000, Ben Hutchings wrote:
> On Sun, 2010-03-07 at 20:48 +0600, Mikhail Gusarov wrote:
> > Twas brillig at 14:41:10 07.03.2010 UTC+00 when tbm@cyrius.com did
> > gyre and gimble:
> > 
> >  >> Just tested it. Works fine here (mDNS resolves without promisc mode
> >  >> on interface), thanks.
> > 
> >  MM> Good to hear!  That patch also included some debugging output.  Can
> >  MM> you please send the output from "dmesg"?
> > 
> > Attached.
> > 
> > [looking at dmesg: wow, looks like I just found wireless card I lost
> > some time ago - it's mini-PCI slot in NAS :]
> [...]
> > [  424.350000] device eth0 left promiscuous mode
> > [  424.350000] rtl_set_rx_mode: mc_filter = { 0x80088000, 0x40004000 }
> > [  424.350000] rtl_set_rx_mode: MAR = 0x4000400040004000
> > [  424.350000] rtl_set_rx_mode: MAR = 0x4000400080088000 
> [...]
> 
> As I suspected, writing the high bits also changes the low bits so we
> must write high before low.
> 
> The next question is whether doing that works for all r8169 variants or
> whether it needs to be conditional.

Has this been forwarded to netdev@vger.kernel.org already?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#407217; Package linux-2.6. (Sat, 01 May 2010 23:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. (Sat, 01 May 2010 23:45:03 GMT) Full text and rfc822 format available.

Message #223 received at 407217@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: Martin Michlmayr <tbm@cyrius.com>, 407217@bugs.debian.org, Mikhail Gusarov <dottedmag@dottedmag.net>, Jon Dowland <jon@alcopop.org>, sjoerd@spring.luon.net, wouter@debian.org
Subject: Re: Bug#407217: Multicast broken in r8169 for one version of Thecus N2100
Date: Sun, 02 May 2010 00:39:43 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2010-05-01 at 23:13 +0200, Moritz Muehlenhoff wrote:
> On Sun, Mar 07, 2010 at 03:50:37PM +0000, Ben Hutchings wrote:
> > On Sun, 2010-03-07 at 20:48 +0600, Mikhail Gusarov wrote:
> > > Twas brillig at 14:41:10 07.03.2010 UTC+00 when tbm@cyrius.com did
> > > gyre and gimble:
> > > 
> > >  >> Just tested it. Works fine here (mDNS resolves without promisc mode
> > >  >> on interface), thanks.
> > > 
> > >  MM> Good to hear!  That patch also included some debugging output.  Can
> > >  MM> you please send the output from "dmesg"?
> > > 
> > > Attached.
> > > 
> > > [looking at dmesg: wow, looks like I just found wireless card I lost
> > > some time ago - it's mini-PCI slot in NAS :]
> > [...]
> > > [  424.350000] device eth0 left promiscuous mode
> > > [  424.350000] rtl_set_rx_mode: mc_filter = { 0x80088000, 0x40004000 }
> > > [  424.350000] rtl_set_rx_mode: MAR = 0x4000400040004000
> > > [  424.350000] rtl_set_rx_mode: MAR = 0x4000400080088000 
> > [...]
> > 
> > As I suspected, writing the high bits also changes the low bits so we
> > must write high before low.
> > 
> > The next question is whether doing that works for all r8169 variants or
> > whether it needs to be conditional.
> 
> Has this been forwarded to netdev@vger.kernel.org already?

It has, and it has even been fixed upstream:

commit 78f1cd02457252e1ffbc6caa44a17424a45286b8
Author: Francois Romieu <romieu@fr.zoreil.com>
Date:   Sat Mar 27 19:35:46 2010 -0700

    r8169: fix broken register writes

Sorry for not keeping this bug up-to-date.

This change has not yet been part of any upstream release and I would
like to wait until it is, to see whether this change causes a regression
for other chips handled by the driver.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream and patch. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 01 May 2010 23:57:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Thu, 13 May 2010 02:33:03 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Tue, 18 May 2010 14:24:12 GMT) Full text and rfc822 format available.

Notification sent to jon+bts@alcopop.org:
Bug acknowledged by developer. (Tue, 18 May 2010 14:24:12 GMT) Full text and rfc822 format available.

Message #232 received at 407217-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 407217-close@bugs.debian.org
Subject: Bug#407217: fixed in linux-2.6 2.6.32-13
Date: Tue, 18 May 2010 14:22:52 +0000
Source: linux-2.6
Source-Version: 2.6.32-13

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-13_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-13_all.deb
linux-2.6_2.6.32-13.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-13.diff.gz
linux-2.6_2.6.32-13.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-13.dsc
linux-base_2.6.32-13_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-13_all.deb
linux-doc-2.6.32_2.6.32-13_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-13_all.deb
linux-headers-2.6.32-5-all-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all-amd64_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-all_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-amd64_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-common-openvz_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-openvz_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-common-vserver_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-vserver_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-common-xen_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-xen_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-common_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
linux-headers-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
linux-image-2.6.32-5-amd64-dbg_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-amd64-dbg_2.6.32-13_amd64.deb
linux-image-2.6.32-5-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-amd64_2.6.32-13_amd64.deb
linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-13_amd64.deb
linux-image-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-13_amd64.deb
linux-image-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-13_amd64.deb
linux-image-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
linux-libc-dev_2.6.32-13_amd64.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.32-13_amd64.deb
linux-manual-2.6.32_2.6.32-13_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-13_all.deb
linux-patch-debian-2.6.32_2.6.32-13_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-13_all.deb
linux-source-2.6.32_2.6.32-13_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-13_all.deb
linux-support-2.6.32-5_2.6.32-13_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-13_all.deb
xen-linux-system-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
  to main/l/linux-2.6/xen-linux-system-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 407217@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 17 May 2010 15:29:27 +0200
Source: linux-2.6
Binary: linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64 linux-image-2.6.32-5-xen-amd64-dbg
 xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg
 linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x
 linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x
 linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-all-sparc64
Architecture: source all amd64
Version: 2.6.32-13
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs
Closes: 365349 407217 466977 548090 562486 566522 572618 572842 573007 575207 575223 577227 578129 578349 578994 579019 579234 579268 579308 579763 579864 580467 580538 580602 580652 580710 580740 580799 580855 580915 581392 581399
Changes: 
 linux-2.6 (2.6.32-13) unstable; urgency=low
 .
   [ Frederik Schueler ]
   * sparc: Fix use of uid16_t and gid16_t in asm/stat.h
 .
   [ Moritz Muehlenhoff ]
   * Enable tomoyo (Closes: #562486)
 .
   [ maximilian attems]
   * backport KVM: x86: Extend KVM_SET_VCPU_EVENTS with selective updates.
     (closes: #580652)
   * KEYS: find_keyring_by_name() can gain access to a freed keyring.
     CVE-2010-1437
   * hppa, sparc, powerpc disable BLK_DEV_CMD64X.
   * topconfig enable PATA_CMD64X. (closes: #580799)
   * x86: Disable CRYPTO_AES_NI_INTEL as it causes boot failures on T410.
   * Add stable 2.6.32.13:
     - [SCSI] Enable retries for SYNCRONIZE_CACHE commands to fix I/O error.
     - [SCSI] Retry commands with UNIT_ATTENTION sense codes to fix ext3/ext4
       I/O errors.
     - [SCSI] skip sense logging for some ATA PASS-THROUGH cdbs
       (Closes: #578129)
     - raid6: fix recovery performance regression.
     - raid456: Enable error-correction on singly-degraded RAID6
       (Closes: #581392)
     - r8169: fix broken register writes (Closes: #407217, #573007)
     - V4L/DVB: budget: Fix crash in case of failure to attach frontend
       (Closes: #575207)
   * drm/edid: Fix 1024x768@85Hz.
 .
   [ Ben Hutchings ]
   * linux-base: Fix typo in disk relabelling code (Closes: #580467)
   * linux-base: Don't quote boot device name in elilo.conf
     (Closes: #580710; works-around: #581173)
   * rtl8192su: Add IDs for several more devices (Closes: #580740)
   * Add drm and sfc changes from stable 2.6.33.4
   * Improve workaround for HPAs (Host Protected Areas) overlapping
     partitions, thanks to Tejun Heo:
     - SCSI/libata: Disable HPA if it overlaps a partition (Closes: #572618)
     - buffer: Make invalidate_bdev() drain all percpu LRU add caches
     - block: Rescan partition tables after HPA is disabled
     - libata: Disable HPA if it is only enabled after suspend
   * V4L/DVB: budget: Select correct frontend drivers (Closes: #575223)
   * 3c503: Fix IRQ probing (Closes: #566522)
   * sis-agp: Remove SIS 760, handled by amd64-agp
   * amd64-agp: Probe unknown AGP devices the right way (Closes: #548090)
 .
   [ Aurelien Jarno ]
   * mips/swarm: fix boot from IDE based media (Sebastian Andrzej Siewior)
     (closes: #466977).
   * backport mips/swarm: fix M3 TLB exception handler.
   * backport MIPS FPU emulator: allow Cause bits of FCSR to be writeable
     by ctc1. (closes: #580602).
   * mips/swarm: enable adm* hwmon drivers.
   * backport Input: Add support of Synaptics Clickpad device (Closes: #572842)
 .
   [ Bastian Blank ]
   * Fix symlinks in several packages.
   * Update Xen patch.
   * [amd64, i386/{686-bigmem,openvz-686,vserver-686-bigmem,xen-686}]
     Build debugging symbols. (closes: #365349)
   * Ignore crypto ABI changes.
 .
   [ Martin Michlmayr ]
   * Backport GuruPlug support.
 .
   [ Christian Perrier ]
   * Update debconf templates:
     - English revised by the debian-l10n-english team as part of the Smith
       review project (Closes: #578349)
     - Vietnamese (Clytie Siddall) (Closes: #579234)
     - German (Holger Wansing) (Closes: #579864)
     - Russian (Yuri Kozlov) (Closes: #578994)
     - Estonian (mihkel) (Closes: #579019)
     - Czech (Michal Simunek) (Closes: #579268)
     - Swedish (Martin Bagge) (Closes: #579308)
     - French (David Prévot) (Closes: #579763)
     - Spanish (Omar Campagne) (Closes: #580538)
     - Portuguese (Américo Monteiro) (Closes: #577227)
     - Japanese (Kenshi Muto) (Closes: #580855)
     - Danish (Joe Hansen) (Closes: #580915)
     - Czech (Michal Simunek) (Closes: #581399)
Checksums-Sha1: 
 e1ed0b1eeec235e2ca7a54c8d3032afc5ab4f4d2 6276 linux-2.6_2.6.32-13.dsc
 da5b6a00958bd1fa4612cb70b8fcbb5acb79fd70 8631684 linux-2.6_2.6.32-13.diff.gz
 5ea809a472ee295dbe7f251639af76d65cab7d94 6033068 linux-doc-2.6.32_2.6.32-13_all.deb
 27d468cef4ebce58156dbc6c78e85bf3836e37d0 2706044 linux-manual-2.6.32_2.6.32-13_all.deb
 dbac1231be53e8e140d782b7d13b4815f27d185e 2801400 linux-patch-debian-2.6.32_2.6.32-13_all.deb
 a8724b803f09d7743dec97685d987ffa31247109 64339944 linux-source-2.6.32_2.6.32-13_all.deb
 906432f95cf551354e4a7c4b50c6800afeeef0ff 143778 linux-support-2.6.32-5_2.6.32-13_all.deb
 ea5c5a2ec96b9d84523921c005b564fcae23922b 132758 firmware-linux-free_2.6.32-13_all.deb
 35fecd3de76bb4c3ffa3b0a9c391ce343bdf2ade 148448 linux-base_2.6.32-13_all.deb
 fced13263b0c7ffb3ee793f682f410230e52ca32 28261390 linux-image-2.6.32-5-amd64_2.6.32-13_amd64.deb
 f2ce1f4192a65e9f38589d1cd5c4463ab84aa3c0 371532144 linux-image-2.6.32-5-amd64-dbg_2.6.32-13_amd64.deb
 d74224ef2e50ca961ae2ea5ffe641df673b75487 506076 linux-headers-2.6.32-5-amd64_2.6.32-13_amd64.deb
 ca243b82715bad7aff455d3b98b36efe7e46abd3 3878134 linux-headers-2.6.32-5-common_2.6.32-13_amd64.deb
 af0f75989ca0884af908a419b2747f71a050cc8c 28405666 linux-image-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
 80e7bfb2a0e639be840d3313a3c2f11cd517406e 438944014 linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-13_amd64.deb
 26bf2b2edf8708b0e6dd10d92bfc6a69f6772820 532292 linux-headers-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
 837969631f374d1b8254b920824ebf328d106615 3929800 linux-headers-2.6.32-5-common-openvz_2.6.32-13_amd64.deb
 7318f041b324f2f37aa2d55f5e187b24fee90b5c 127764 linux-headers-2.6.32-5-all_2.6.32-13_amd64.deb
 dde5d00a2bc48fce20974686cd45554ec8437848 127792 linux-headers-2.6.32-5-all-amd64_2.6.32-13_amd64.deb
 bc958989b130a4dd88eb10624e5ec9b40488795d 824320 linux-libc-dev_2.6.32-13_amd64.deb
 ec99d04739622b11f220f53c161c85fc85ced4d9 28320798 linux-image-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
 63b6c3577bad041a4d19b631dca3992aa848702a 380616050 linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-13_amd64.deb
 ef7a2425d0e9ebaa22155a89923b6d71e4116834 507398 linux-headers-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
 3244dc91eade6da2a177ee3bb21f1b7c85661bea 3911184 linux-headers-2.6.32-5-common-vserver_2.6.32-13_amd64.deb
 2645d15a71d79bee6169360051410a6f5e7fbcef 28358824 linux-image-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 2cc483fb3c45b8fc98cd4331059e27ec3b854599 373481778 linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-13_amd64.deb
 1e08964c76b955d040fd514dfc3403028d022fa8 508276 linux-headers-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 61357144c23aa6094b00b7a5a1b3fadb9f8d3c2e 127760 xen-linux-system-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 a5458ea8bb43b1ebbaa6eb52e49ff0b6bdd43b66 3899120 linux-headers-2.6.32-5-common-xen_2.6.32-13_amd64.deb
Checksums-Sha256: 
 952edb6ccfc90156e7e93079893fd6898c40fa89704787cf6f0f18a0017ed4c9 6276 linux-2.6_2.6.32-13.dsc
 c84d22c7819b210b444f6a8105fe5fbda0d2ad6245872c5a15a3c6e0b4eec377 8631684 linux-2.6_2.6.32-13.diff.gz
 8e7ed9832432a7073ddb1eabdf94228ea8186416d0c3ce4cdfda027d5a77f6ff 6033068 linux-doc-2.6.32_2.6.32-13_all.deb
 1b62d4e494186a5e631e5d1afa3d3f77542f821575e075e7ce7497f4c95dc714 2706044 linux-manual-2.6.32_2.6.32-13_all.deb
 06fcc56f96e765ff767b18948fb895bd3d4edecb99491e4d1f31bd2e0259bd49 2801400 linux-patch-debian-2.6.32_2.6.32-13_all.deb
 54663d1ae8547f79bc9ff42775d50296fbfb8cfb1adaeb4d73e11fc6704ada8a 64339944 linux-source-2.6.32_2.6.32-13_all.deb
 2f9744bbbae808c2c028912d51e9657d171163fb0162cbc9d40c623fd4fb699e 143778 linux-support-2.6.32-5_2.6.32-13_all.deb
 b2e7ccf1bb7ddf48184f0d60b055ed65aed4fdbf9426e9bee79209da82ca7915 132758 firmware-linux-free_2.6.32-13_all.deb
 a3640f2e362e1495fa0258ee12cf37e7984ba50ff39e14d3109b58523abf8bca 148448 linux-base_2.6.32-13_all.deb
 35031e0eb6caf884511fe5a7aabc859da41f475179b3ffbf491a104119f403a4 28261390 linux-image-2.6.32-5-amd64_2.6.32-13_amd64.deb
 4bf9d971b82265d5d8d03aa43e3bfad62bb46c808b4e1acfb76a3f6759f8d787 371532144 linux-image-2.6.32-5-amd64-dbg_2.6.32-13_amd64.deb
 a0fdb50f75b43e3121a9fd9cb850e9716934e133bcc953d46f946a0e386a5908 506076 linux-headers-2.6.32-5-amd64_2.6.32-13_amd64.deb
 bfd87765c5d04b9a5e631d83a991ec1e2526bd529249b2831a5223fed654cd58 3878134 linux-headers-2.6.32-5-common_2.6.32-13_amd64.deb
 8e74fb08a404b77dcb5fc91b91543dade6426a5209e11dd793599e7be37e854f 28405666 linux-image-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
 73d1cb06515bda7543365ad0e37d59ca6ef962b09275f47fb67c69d4c87ea34f 438944014 linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-13_amd64.deb
 f1872ab39a7c30ba026aac3b121afeac100adc64cb3e3a239b9ea76292235af9 532292 linux-headers-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
 f21102af37865685fe904d8c6052807e9133917e14e42f36ba11e99bd26bc1c9 3929800 linux-headers-2.6.32-5-common-openvz_2.6.32-13_amd64.deb
 954d1fc3683823d3317deaf16820f39481e186f1538db0d50933d21fa99f829b 127764 linux-headers-2.6.32-5-all_2.6.32-13_amd64.deb
 1085ae57a29ee9490ac63df3b19fbf7753972c3d2fb2b54329edd9c191545269 127792 linux-headers-2.6.32-5-all-amd64_2.6.32-13_amd64.deb
 8f7ec0d1bd18125804c16e60bced5f4370d9c72196f10cf3c8d1de04e17993f8 824320 linux-libc-dev_2.6.32-13_amd64.deb
 6c3ac91311b596c1b908ac346bcf1619523b3e3c79e690450c16e384f6807ab5 28320798 linux-image-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
 6564b26277069bdae63e175b8e7bafd45576f09d7c92c705991cfab1820947cc 380616050 linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-13_amd64.deb
 a2c57e7fb7d26b2d90c3adc655e1996e662db1febec917c427e23cf34ac1d1ba 507398 linux-headers-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
 ad7002382157070806783fab71e86f040653dec4ca07f9d6c486357d8698896f 3911184 linux-headers-2.6.32-5-common-vserver_2.6.32-13_amd64.deb
 53b1bda725b1c6d8f913842ed22a02926b9ee8be3f3648285a8a094525a43e15 28358824 linux-image-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 94e289bcdc3b8543223f2c8d9a4e4f9a9d17058eb61dd8aa84463a03fc6634cd 373481778 linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-13_amd64.deb
 7b9a6bba90f038c79d83f383e5d42f4da1c44443833b9b24720eabf59bbed3aa 508276 linux-headers-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 2358f92a28393b612d63e5c32e9f37eacea584bb555a14d7c7ea25583e1cea77 127760 xen-linux-system-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 bbbed4f1bbf24a4fd4f137d68edd4ab37168627e31063cb3465689fe6fe117fd 3899120 linux-headers-2.6.32-5-common-xen_2.6.32-13_amd64.deb
Files: 
 93cdc5b2d6a81ca19bd1b51ed15b7858 6276 kernel optional linux-2.6_2.6.32-13.dsc
 7b7ea740005b9315a58d74cdf05a30fa 8631684 kernel optional linux-2.6_2.6.32-13.diff.gz
 4be431fdc21912bab2a96ea4eb99fc16 6033068 doc optional linux-doc-2.6.32_2.6.32-13_all.deb
 a8ab48a59caaf21418b04ccb4e04857d 2706044 doc optional linux-manual-2.6.32_2.6.32-13_all.deb
 394310cfab79db9621dfcb58f7c0753a 2801400 kernel optional linux-patch-debian-2.6.32_2.6.32-13_all.deb
 bce422f58b18ccc9a29c0f5819ff2b05 64339944 kernel optional linux-source-2.6.32_2.6.32-13_all.deb
 e2229b2f7262e84cfdaea716bd60f389 143778 devel optional linux-support-2.6.32-5_2.6.32-13_all.deb
 22ae46fa41adfe03989912f3fd9469d2 132758 kernel optional firmware-linux-free_2.6.32-13_all.deb
 8c560c2beaefbb81c2cea7c1d1887dc4 148448 kernel optional linux-base_2.6.32-13_all.deb
 96e01eafb4036cacb5f7612a62890038 28261390 kernel optional linux-image-2.6.32-5-amd64_2.6.32-13_amd64.deb
 7e14c82406738fdc627bab21061b4cf9 371532144 debug extra linux-image-2.6.32-5-amd64-dbg_2.6.32-13_amd64.deb
 e5c1ba05bb32686d2b13ee84a5810f2c 506076 kernel optional linux-headers-2.6.32-5-amd64_2.6.32-13_amd64.deb
 475e76f3302c8d237f966eeb036a4bc7 3878134 kernel optional linux-headers-2.6.32-5-common_2.6.32-13_amd64.deb
 c558da499f65a2f439ff62cc098cde33 28405666 kernel optional linux-image-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
 10af62ad3b2193312d3283d4b893931f 438944014 debug extra linux-image-2.6.32-5-openvz-amd64-dbg_2.6.32-13_amd64.deb
 0388bf62bdb2e6d95261fef31079e0db 532292 kernel optional linux-headers-2.6.32-5-openvz-amd64_2.6.32-13_amd64.deb
 9d3327157da1cd201ac120183aa30ca3 3929800 kernel optional linux-headers-2.6.32-5-common-openvz_2.6.32-13_amd64.deb
 465fff10ea5c67fc45891aedb820fae7 127764 kernel optional linux-headers-2.6.32-5-all_2.6.32-13_amd64.deb
 3d16e272b43fd24049f395c3397602dc 127792 kernel optional linux-headers-2.6.32-5-all-amd64_2.6.32-13_amd64.deb
 d40edd50262da18eac1860e56c88e1ae 824320 devel optional linux-libc-dev_2.6.32-13_amd64.deb
 97e93036b5e41b15aa3b9fac871b61a6 28320798 kernel optional linux-image-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
 1a904f83048267626d0200a81ec4978e 380616050 debug extra linux-image-2.6.32-5-vserver-amd64-dbg_2.6.32-13_amd64.deb
 b545213c85ca9d85e618962b716fa878 507398 kernel optional linux-headers-2.6.32-5-vserver-amd64_2.6.32-13_amd64.deb
 5c23a91476f0d12ab06bd46e033c0518 3911184 kernel optional linux-headers-2.6.32-5-common-vserver_2.6.32-13_amd64.deb
 ca4f364b05b461c5c024aa93fa1d797e 28358824 kernel optional linux-image-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 129e390d94ee49e4a128306216daa033 373481778 debug extra linux-image-2.6.32-5-xen-amd64-dbg_2.6.32-13_amd64.deb
 a7348ad1ea57b0d4d3c0a68be0c1d053 508276 kernel optional linux-headers-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 6d080c9e1dc81287b87c1f837738a179 127760 kernel optional xen-linux-system-2.6.32-5-xen-amd64_2.6.32-13_amd64.deb
 b4182d9b98d8c1d1042f49f982dbb0e3 3899120 kernel optional linux-headers-2.6.32-5-common-xen_2.6.32-13_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkvxuUYACgkQeW7Lc5tEHqjESgCgz5vSikpRpz/oJrR9mvb33a07
fdoAoJkmSzsHLvci/krFKy60TxbkLEq2
=8CSa
-----END PGP SIGNATURE-----





Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Tue, 18 May 2010 14:24:13 GMT) Full text and rfc822 format available.

Notification sent to Mikhail Gusarov <dottedmag@dottedmag.net>:
Bug acknowledged by developer. (Tue, 18 May 2010 14:24:13 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Tue, 18 May 2010 14:24:13 GMT) Full text and rfc822 format available.

Notification sent to Ross Burton <ross@debian.org>:
Bug acknowledged by developer. (Tue, 18 May 2010 14:24:13 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Tue, 18 May 2010 14:24:14 GMT) Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. (Tue, 18 May 2010 14:24:14 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 20 May 2010 08:09:12 GMT) Full text and rfc822 format available.

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Sat, 12 Jun 2010 19:57:09 GMT) Full text and rfc822 format available.

Notification sent to jon+bts@alcopop.org:
Bug acknowledged by developer. (Sat, 12 Jun 2010 19:57:09 GMT) Full text and rfc822 format available.

Message #254 received at 407217-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 407217-close@bugs.debian.org
Subject: Bug#407217: fixed in linux-2.6 2.6.26-23
Date: Sat, 12 Jun 2010 19:53:15 +0000
Source: linux-2.6
Source-Version: 2.6.26-23

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.26-23.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.26-23.diff.gz
linux-2.6_2.6.26-23.dsc
  to main/l/linux-2.6/linux-2.6_2.6.26-23.dsc
linux-doc-2.6.26_2.6.26-23_all.deb
  to main/l/linux-2.6/linux-doc-2.6.26_2.6.26-23_all.deb
linux-headers-2.6.26-2-486_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-486_2.6.26-23_i386.deb
linux-headers-2.6.26-2-686-bigmem_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-686-bigmem_2.6.26-23_i386.deb
linux-headers-2.6.26-2-686_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-686_2.6.26-23_i386.deb
linux-headers-2.6.26-2-all-i386_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-all-i386_2.6.26-23_i386.deb
linux-headers-2.6.26-2-all_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-all_2.6.26-23_i386.deb
linux-headers-2.6.26-2-amd64_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-amd64_2.6.26-23_i386.deb
linux-headers-2.6.26-2-common-openvz_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-common-openvz_2.6.26-23_i386.deb
linux-headers-2.6.26-2-common-vserver_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-common-vserver_2.6.26-23_i386.deb
linux-headers-2.6.26-2-common-xen_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-common-xen_2.6.26-23_i386.deb
linux-headers-2.6.26-2-common_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-common_2.6.26-23_i386.deb
linux-headers-2.6.26-2-openvz-686_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-openvz-686_2.6.26-23_i386.deb
linux-headers-2.6.26-2-vserver-686-bigmem_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-vserver-686-bigmem_2.6.26-23_i386.deb
linux-headers-2.6.26-2-vserver-686_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-vserver-686_2.6.26-23_i386.deb
linux-headers-2.6.26-2-xen-686_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-xen-686_2.6.26-23_i386.deb
linux-image-2.6.26-2-486_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-486_2.6.26-23_i386.deb
linux-image-2.6.26-2-686-bigmem_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-686-bigmem_2.6.26-23_i386.deb
linux-image-2.6.26-2-686_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-686_2.6.26-23_i386.deb
linux-image-2.6.26-2-amd64_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-amd64_2.6.26-23_i386.deb
linux-image-2.6.26-2-openvz-686_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-openvz-686_2.6.26-23_i386.deb
linux-image-2.6.26-2-vserver-686-bigmem_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-vserver-686-bigmem_2.6.26-23_i386.deb
linux-image-2.6.26-2-vserver-686_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-vserver-686_2.6.26-23_i386.deb
linux-image-2.6.26-2-xen-686_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-xen-686_2.6.26-23_i386.deb
linux-libc-dev_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.26-23_i386.deb
linux-manual-2.6.26_2.6.26-23_all.deb
  to main/l/linux-2.6/linux-manual-2.6.26_2.6.26-23_all.deb
linux-modules-2.6.26-2-xen-686_2.6.26-23_i386.deb
  to main/l/linux-2.6/linux-modules-2.6.26-2-xen-686_2.6.26-23_i386.deb
linux-patch-debian-2.6.26_2.6.26-23_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.26_2.6.26-23_all.deb
linux-source-2.6.26_2.6.26-23_all.deb
  to main/l/linux-2.6/linux-source-2.6.26_2.6.26-23_all.deb
linux-support-2.6.26-2_2.6.26-23_all.deb
  to main/l/linux-2.6/linux-support-2.6.26-2_2.6.26-23_all.deb
linux-tree-2.6.26_2.6.26-23_all.deb
  to main/l/linux-2.6/linux-tree-2.6.26_2.6.26-23_all.deb
xen-linux-system-2.6.26-2-xen-686_2.6.26-23_i386.deb
  to main/l/linux-2.6/xen-linux-system-2.6.26-2-xen-686_2.6.26-23_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 407217@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 11 Jun 2010 19:40:17 -0600
Source: linux-2.6
Binary: linux-source-2.6.26 linux-doc-2.6.26 linux-manual-2.6.26 linux-patch-debian-2.6.26 linux-tree-2.6.26 linux-support-2.6.26-2 linux-libc-dev linux-headers-2.6.26-2-all linux-headers-2.6.26-2-all-alpha linux-headers-2.6.26-2-common linux-image-2.6.26-2-alpha-generic linux-headers-2.6.26-2-alpha-generic linux-image-2.6.26-2-alpha-smp linux-headers-2.6.26-2-alpha-smp linux-image-2.6.26-2-alpha-legacy linux-headers-2.6.26-2-alpha-legacy linux-headers-2.6.26-2-all-amd64 linux-image-2.6.26-2-amd64 linux-headers-2.6.26-2-amd64 linux-headers-2.6.26-2-common-openvz linux-image-2.6.26-2-openvz-amd64 linux-headers-2.6.26-2-openvz-amd64 linux-headers-2.6.26-2-common-vserver linux-image-2.6.26-2-vserver-amd64 linux-headers-2.6.26-2-vserver-amd64 linux-headers-2.6.26-2-common-xen linux-image-2.6.26-2-xen-amd64 linux-modules-2.6.26-2-xen-amd64 linux-headers-2.6.26-2-xen-amd64 xen-linux-system-2.6.26-2-xen-amd64 linux-headers-2.6.26-2-all-arm linux-image-2.6.26-2-footbridge linux-headers-2.6.26-2-footbridge linux-image-2.6.26-2-iop32x linux-headers-2.6.26-2-iop32x linux-image-2.6.26-2-ixp4xx linux-headers-2.6.26-2-ixp4xx linux-image-2.6.26-2-orion5x linux-headers-2.6.26-2-orion5x linux-headers-2.6.26-2-all-armel linux-image-2.6.26-2-versatile linux-headers-2.6.26-2-versatile linux-headers-2.6.26-2-all-hppa linux-image-2.6.26-2-parisc linux-headers-2.6.26-2-parisc linux-image-2.6.26-2-parisc-smp linux-headers-2.6.26-2-parisc-smp linux-image-2.6.26-2-parisc64 linux-headers-2.6.26-2-parisc64 linux-image-2.6.26-2-parisc64-smp linux-headers-2.6.26-2-parisc64-smp linux-headers-2.6.26-2-all-i386 linux-image-2.6.26-2-486 linux-headers-2.6.26-2-486 linux-image-2.6.26-2-686 linux-headers-2.6.26-2-686 linux-image-2.6.26-2-686-bigmem linux-headers-2.6.26-2-686-bigmem linux-image-2.6.26-2-openvz-686 linux-headers-2.6.26-2-openvz-686 linux-image-2.6.26-2-vserver-686 linux-headers-2.6.26-2-vserver-686 linux-image-2.6.26-2-vserver-686-bigmem linux-headers-2.6.26-2-vserver-686-bigmem linux-image-2.6.26-2-xen-686 linux-modules-2.6.26-2-xen-686 linux-headers-2.6.26-2-xen-686 xen-linux-system-2.6.26-2-xen-686 linux-headers-2.6.26-2-all-ia64 linux-image-2.6.26-2-itanium linux-headers-2.6.26-2-itanium linux-image-2.6.26-2-mckinley linux-headers-2.6.26-2-mckinley linux-image-2.6.26-2-vserver-itanium linux-headers-2.6.26-2-vserver-itanium linux-image-2.6.26-2-vserver-mckinley linux-headers-2.6.26-2-vserver-mckinley linux-headers-2.6.26-2-all-m68k linux-image-2.6.26-2-amiga linux-headers-2.6.26-2-amiga linux-image-2.6.26-2-atari linux-headers-2.6.26-2-atari linux-image-2.6.26-2-bvme6000 linux-headers-2.6.26-2-bvme6000 linux-image-2.6.26-2-mac linux-headers-2.6.26-2-mac linux-image-2.6.26-2-mvme147 linux-headers-2.6.26-2-mvme147 linux-image-2.6.26-2-mvme16x linux-headers-2.6.26-2-mvme16x linux-headers-2.6.26-2-all-mips linux-image-2.6.26-2-r4k-ip22 linux-headers-2.6.26-2-r4k-ip22 linux-image-2.6.26-2-r5k-ip32 linux-headers-2.6.26-2-r5k-ip32 linux-image-2.6.26-2-sb1-bcm91250a linux-headers-2.6.26-2-sb1-bcm91250a linux-image-2.6.26-2-sb1a-bcm91480b linux-headers-2.6.26-2-sb1a-bcm91480b linux-image-2.6.26-2-4kc-malta linux-headers-2.6.26-2-4kc-malta linux-image-2.6.26-2-5kc-malta linux-headers-2.6.26-2-5kc-malta linux-headers-2.6.26-2-all-mipsel linux-image-2.6.26-2-r5k-cobalt linux-headers-2.6.26-2-r5k-cobalt linux-headers-2.6.26-2-all-powerpc linux-image-2.6.26-2-powerpc linux-headers-2.6.26-2-powerpc linux-image-2.6.26-2-powerpc-smp linux-headers-2.6.26-2-powerpc-smp linux-image-2.6.26-2-powerpc64 linux-headers-2.6.26-2-powerpc64 linux-image-2.6.26-2-vserver-powerpc linux-headers-2.6.26-2-vserver-powerpc linux-image-2.6.26-2-vserver-powerpc64 linux-headers-2.6.26-2-vserver-powerpc64 linux-headers-2.6.26-2-all-s390 linux-image-2.6.26-2-s390 linux-headers-2.6.26-2-s390 linux-image-2.6.26-2-s390-tape linux-image-2.6.26-2-s390x linux-headers-2.6.26-2-s390x linux-image-2.6.26-2-vserver-s390x linux-headers-2.6.26-2-vserver-s390x linux-headers-2.6.26-2-all-sparc linux-image-2.6.26-2-sparc64 linux-headers-2.6.26-2-sparc64 linux-image-2.6.26-2-sparc64-smp linux-headers-2.6.26-2-sparc64-smp linux-image-2.6.26-2-vserver-sparc64 linux-headers-2.6.26-2-vserver-sparc64
Architecture: source all i386
Version: 2.6.26-23
Distribution: stable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 linux-doc-2.6.26 - Linux kernel specific documentation for version 2.6.26
 linux-headers-2.6.26-2-486 - Header files for Linux 2.6.26-2-486
 linux-headers-2.6.26-2-4kc-malta - Header files for Linux 2.6.26-2-4kc-malta
 linux-headers-2.6.26-2-5kc-malta - Header files for Linux 2.6.26-2-5kc-malta
 linux-headers-2.6.26-2-686 - Header files for Linux 2.6.26-2-686
 linux-headers-2.6.26-2-686-bigmem - Header files for Linux 2.6.26-2-686-bigmem
 linux-headers-2.6.26-2-all - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-alpha - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-amd64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-arm - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-armel - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-hppa - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-i386 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-ia64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-m68k - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-mips - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-mipsel - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-powerpc - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-s390 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-sparc - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-alpha-generic - Header files for Linux 2.6.26-2-alpha-generic
 linux-headers-2.6.26-2-alpha-legacy - Header files for Linux 2.6.26-2-alpha-legacy
 linux-headers-2.6.26-2-alpha-smp - Header files for Linux 2.6.26-2-alpha-smp
 linux-headers-2.6.26-2-amd64 - Header files for Linux 2.6.26-2-amd64
 linux-headers-2.6.26-2-amiga - Header files for Linux 2.6.26-2-amiga
 linux-headers-2.6.26-2-atari - Header files for Linux 2.6.26-2-atari
 linux-headers-2.6.26-2-bvme6000 - Header files for Linux 2.6.26-2-bvme6000
 linux-headers-2.6.26-2-common - Common header files for Linux 2.6.26-2
 linux-headers-2.6.26-2-common-openvz - Common header files for Linux 2.6.26-2-openvz
 linux-headers-2.6.26-2-common-vserver - Common header files for Linux 2.6.26-2-vserver
 linux-headers-2.6.26-2-common-xen - Common header files for Linux 2.6.26-2-xen
 linux-headers-2.6.26-2-footbridge - Header files for Linux 2.6.26-2-footbridge
 linux-headers-2.6.26-2-iop32x - Header files for Linux 2.6.26-2-iop32x
 linux-headers-2.6.26-2-itanium - Header files for Linux 2.6.26-2-itanium
 linux-headers-2.6.26-2-ixp4xx - Header files for Linux 2.6.26-2-ixp4xx
 linux-headers-2.6.26-2-mac - Header files for Linux 2.6.26-2-mac
 linux-headers-2.6.26-2-mckinley - Header files for Linux 2.6.26-2-mckinley
 linux-headers-2.6.26-2-mvme147 - Header files for Linux 2.6.26-2-mvme147
 linux-headers-2.6.26-2-mvme16x - Header files for Linux 2.6.26-2-mvme16x
 linux-headers-2.6.26-2-openvz-686 - Header files for Linux 2.6.26-2-openvz-686
 linux-headers-2.6.26-2-openvz-amd64 - Header files for Linux 2.6.26-2-openvz-amd64
 linux-headers-2.6.26-2-orion5x - Header files for Linux 2.6.26-2-orion5x
 linux-headers-2.6.26-2-parisc - Header files for Linux 2.6.26-2-parisc
 linux-headers-2.6.26-2-parisc-smp - Header files for Linux 2.6.26-2-parisc-smp
 linux-headers-2.6.26-2-parisc64 - Header files for Linux 2.6.26-2-parisc64
 linux-headers-2.6.26-2-parisc64-smp - Header files for Linux 2.6.26-2-parisc64-smp
 linux-headers-2.6.26-2-powerpc - Header files for Linux 2.6.26-2-powerpc
 linux-headers-2.6.26-2-powerpc-smp - Header files for Linux 2.6.26-2-powerpc-smp
 linux-headers-2.6.26-2-powerpc64 - Header files for Linux 2.6.26-2-powerpc64
 linux-headers-2.6.26-2-r4k-ip22 - Header files for Linux 2.6.26-2-r4k-ip22
 linux-headers-2.6.26-2-r5k-cobalt - Header files for Linux 2.6.26-2-r5k-cobalt
 linux-headers-2.6.26-2-r5k-ip32 - Header files for Linux 2.6.26-2-r5k-ip32
 linux-headers-2.6.26-2-s390 - Header files for Linux 2.6.26-2-s390
 linux-headers-2.6.26-2-s390x - Header files for Linux 2.6.26-2-s390x
 linux-headers-2.6.26-2-sb1-bcm91250a - Header files for Linux 2.6.26-2-sb1-bcm91250a
 linux-headers-2.6.26-2-sb1a-bcm91480b - Header files for Linux 2.6.26-2-sb1a-bcm91480b
 linux-headers-2.6.26-2-sparc64 - Header files for Linux 2.6.26-2-sparc64
 linux-headers-2.6.26-2-sparc64-smp - Header files for Linux 2.6.26-2-sparc64-smp
 linux-headers-2.6.26-2-versatile - Header files for Linux 2.6.26-2-versatile
 linux-headers-2.6.26-2-vserver-686 - Header files for Linux 2.6.26-2-vserver-686
 linux-headers-2.6.26-2-vserver-686-bigmem - Header files for Linux 2.6.26-2-vserver-686-bigmem
 linux-headers-2.6.26-2-vserver-amd64 - Header files for Linux 2.6.26-2-vserver-amd64
 linux-headers-2.6.26-2-vserver-itanium - Header files for Linux 2.6.26-2-vserver-itanium
 linux-headers-2.6.26-2-vserver-mckinley - Header files for Linux 2.6.26-2-vserver-mckinley
 linux-headers-2.6.26-2-vserver-powerpc - Header files for Linux 2.6.26-2-vserver-powerpc
 linux-headers-2.6.26-2-vserver-powerpc64 - Header files for Linux 2.6.26-2-vserver-powerpc64
 linux-headers-2.6.26-2-vserver-s390x - Header files for Linux 2.6.26-2-vserver-s390x
 linux-headers-2.6.26-2-vserver-sparc64 - Header files for Linux 2.6.26-2-vserver-sparc64
 linux-headers-2.6.26-2-xen-686 - Header files for Linux 2.6.26-2-xen-686
 linux-headers-2.6.26-2-xen-amd64 - Header files for Linux 2.6.26-2-xen-amd64
 linux-image-2.6.26-2-486 - Linux 2.6.26 image on x86
 linux-image-2.6.26-2-4kc-malta - Linux 2.6.26 image on MIPS Malta
 linux-image-2.6.26-2-5kc-malta - Linux 2.6.26 image on MIPS Malta (64-bit)
 linux-image-2.6.26-2-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-2-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-2-alpha-generic - Linux 2.6.26 image on Alpha
 linux-image-2.6.26-2-alpha-legacy - Linux 2.6.26 image on Alpha Legacy
 linux-image-2.6.26-2-alpha-smp - Linux 2.6.26 image on Alpha SMP
 linux-image-2.6.26-2-amd64 - Linux 2.6.26 image on AMD64
 linux-image-2.6.26-2-amiga - Linux 2.6.26 image on Amiga
 linux-image-2.6.26-2-atari - Linux 2.6.26 image on Atari
 linux-image-2.6.26-2-bvme6000 - Linux 2.6.26 image on BVM BVME4000 and BVME6000
 linux-image-2.6.26-2-footbridge - Linux 2.6.26 image on Footbridge
 linux-image-2.6.26-2-iop32x - Linux 2.6.26 image on IOP32x
 linux-image-2.6.26-2-itanium - Linux 2.6.26 image on Itanium
 linux-image-2.6.26-2-ixp4xx - Linux 2.6.26 image on IXP4xx
 linux-image-2.6.26-2-mac - Linux 2.6.26 image on Macintosh
 linux-image-2.6.26-2-mckinley - Linux 2.6.26 image on Itanium II
 linux-image-2.6.26-2-mvme147 - Linux 2.6.26 image on Motorola MVME147
 linux-image-2.6.26-2-mvme16x - Linux 2.6.26 image on Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.26-2-openvz-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, OpenVZ support
 linux-image-2.6.26-2-openvz-amd64 - Linux 2.6.26 image on AMD64, OpenVZ support
 linux-image-2.6.26-2-orion5x - Linux 2.6.26 image on Orion
 linux-image-2.6.26-2-parisc - Linux 2.6.26 image on 32-bit PA-RISC
 linux-image-2.6.26-2-parisc-smp - Linux 2.6.26 image on multiprocessor 32-bit PA-RISC
 linux-image-2.6.26-2-parisc64 - Linux 2.6.26 image on 64-bit PA-RISC
 linux-image-2.6.26-2-parisc64-smp - Linux 2.6.26 image on multiprocessor 64-bit PA-RISC
 linux-image-2.6.26-2-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.26-2-powerpc-smp - Linux 2.6.26 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.26-2-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC
 linux-image-2.6.26-2-r4k-ip22 - Linux 2.6.26 image on SGI IP22
 linux-image-2.6.26-2-r5k-cobalt - Linux 2.6.26 image on Cobalt
 linux-image-2.6.26-2-r5k-ip32 - Linux 2.6.26 image on SGI IP32
 linux-image-2.6.26-2-s390 - Linux 2.6.26 image on IBM S/390
 linux-image-2.6.26-2-s390-tape - Linux 2.6.26 image on IBM S/390, IPL from tape
 linux-image-2.6.26-2-s390x - Linux 2.6.26 image on IBM zSeries
 linux-image-2.6.26-2-sb1-bcm91250a - Linux 2.6.26 image on BCM91250A
 linux-image-2.6.26-2-sb1a-bcm91480b - Linux 2.6.26 image on BCM91480B
 linux-image-2.6.26-2-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC
 linux-image-2.6.26-2-sparc64-smp - Linux 2.6.26 image on multiprocessor 64-bit UltraSPARC
 linux-image-2.6.26-2-versatile - Linux 2.6.26 image on Versatile
 linux-image-2.6.26-2-vserver-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-2-vserver-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-2-vserver-amd64 - Linux 2.6.26 image on AMD64, Linux-VServer support
 linux-image-2.6.26-2-vserver-itanium - Linux 2.6.26 image on Itanium, Linux-VServer support
 linux-image-2.6.26-2-vserver-mckinley - Linux 2.6.26 image on Itanium II, Linux-VServer support
 linux-image-2.6.26-2-vserver-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC, Linux-VServer 
 linux-image-2.6.26-2-vserver-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.26-2-vserver-s390x - Linux 2.6.26 image on IBM zSeries, Linux-VServer support
 linux-image-2.6.26-2-vserver-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC, Linux-VServ
 linux-image-2.6.26-2-xen-686 - Linux 2.6.26 image on i686, oldstyle Xen support
 linux-image-2.6.26-2-xen-amd64 - Linux 2.6.26 image on AMD64, oldstyle Xen support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.26 - Linux kernel API manual pages for version 2.6.26
 linux-modules-2.6.26-2-xen-686 - Linux 2.6.26 modules on i686
 linux-modules-2.6.26-2-xen-amd64 - Linux 2.6.26 modules on AMD64
 linux-patch-debian-2.6.26 - Debian patches to version 2.6.26 of the Linux kernel
 linux-source-2.6.26 - Linux kernel source for version 2.6.26 with Debian patches
 linux-support-2.6.26-2 - Support files for Linux 2.6.26
 linux-tree-2.6.26 - Linux kernel source tree for building Debian kernel images
 xen-linux-system-2.6.26-2-xen-686 - XEN system with Linux 2.6.26 image on i686
 xen-linux-system-2.6.26-2-xen-amd64 - XEN system with Linux 2.6.26 image on AMD64
Closes: 407217 463606 466977 500145 509202 547183 569704 573007 573460 580422 580602 581001 581392 584217
Changes: 
 linux-2.6 (2.6.26-23) stable; urgency=high
 .
   [ dann frazier ]
   * x86: check boundary in setup_node_bootmem() (Closes: 569704)
   * sunxvr500: Ignore secondary output PCI devices (Closes: #580422)
   * sctp: fix append error cause to ERROR chunk correctly
     (a further fix for CVE-2010-1173)
   * nsfd: fix vm overcommit crash (CVE-2008-7256, CVE-2010-1643)
   * GFS2: Fix permissions checking for setflags ioctl() (CVE-2010-1641)
   * GFS2: Fix writing to non-page aligned gfs2_quota structures (CVE-2010-1436)
 .
   [ Ben Hutchings ]
   * [sparc64] Fix definition of VMEMMAP_SIZE (Closes: #509202)
   * megaraid_sas: Version and documentation update (Closes: #547183)
   * bnx2: Fix lost MSI-X problem on 5709 NICs (Closes: #581001)
   * raid456: Fix two bugs in handling of degraded states (Closes: #581392)
     - Prevent reshaping of doubly-degraded RAID4
     - Enable error-correction on singly-degraded RAID6
   * r8169: fix broken register writes (Closes: #407217, #573007)
   * [i386] Disable use of NOPL instruction in alternatives (Closes: #463606)
   * virtio_blk: don't bounce highmem requests (Closes: #584217)
 .
   [ maximilian attems ]
   * openvz: printk_cpu have to be "cleared" in __vprintk (v2)
     (closes: #573460)
   * openvz: Fix "Bad throughput of TCP connection after live migration"
     (closes: #500145)
   * ub: incorrect skb is charged in tcp_send_synack.
 .
   [ Aurelien Jarno ]
   * mips/swarm: fix boot from IDE based media (Sebastian Andrzej Siewior)
     (closes: #466977).
   * backport mips/swarm: fix M3 TLB exception handler.
   * backport MIPS FPU emulator: allow Cause bits of FCSR to be writeable
     by ctc1. (closes: #580602).
Checksums-Sha1: 
 c15ad552480abcc0a8e0ce3687e8069381bc9884 5754 linux-2.6_2.6.26-23.dsc
 55989213cc34782e9bf1dbde96c9d2471d39ec25 7914123 linux-2.6_2.6.26-23.diff.gz
 c7adade6e5b226d7059ed00bd323a4e14f3489f2 4632366 linux-doc-2.6.26_2.6.26-23_all.deb
 7d1a6e8102b23dab2aef8b34363c142cc2b511b1 1768510 linux-manual-2.6.26_2.6.26-23_all.deb
 3aec1a2e2ef7bcdb36b4440fc3e0e0f60137b628 2900970 linux-patch-debian-2.6.26_2.6.26-23_all.deb
 a52f57ce32d13160234d53b10a62040bd9b48dcd 48763028 linux-source-2.6.26_2.6.26-23_all.deb
 a7244f79bd4faa098541770767aaf61e4a6ecf4b 126760 linux-support-2.6.26-2_2.6.26-23_all.deb
 de820508a104902101ac5792265da00a505b220f 111458 linux-tree-2.6.26_2.6.26-23_all.deb
 3f018bb801c7fb15fce9812cedee85afd76463e5 20220660 linux-image-2.6.26-2-486_2.6.26-23_i386.deb
 0aba29fb08856848bfdd3f2d444c8a281b9d5403 402210 linux-headers-2.6.26-2-486_2.6.26-23_i386.deb
 c80abbcfb7451811fe8dfb069c451de431cd3b09 20257290 linux-image-2.6.26-2-686_2.6.26-23_i386.deb
 f03fb448e146effc8cfb457e907d44d56b3abaed 402224 linux-headers-2.6.26-2-686_2.6.26-23_i386.deb
 d589cd0e62c6cc06fa3aada789d4c6dd41e908f8 20375354 linux-image-2.6.26-2-686-bigmem_2.6.26-23_i386.deb
 b1a97aa1f1afb29ce591d311bad464f132fe0deb 403672 linux-headers-2.6.26-2-686-bigmem_2.6.26-23_i386.deb
 0f11231eb445c041adb8b54434191222b0e9f9d7 20913856 linux-image-2.6.26-2-amd64_2.6.26-23_i386.deb
 47e4ea2d5cbb7e6f44a56dadc7e4f48f9ad34887 391764 linux-headers-2.6.26-2-amd64_2.6.26-23_i386.deb
 6d339a7c6d2bf7df202a91315d0020e0eb891532 3725302 linux-headers-2.6.26-2-common_2.6.26-23_i386.deb
 013cd11eeed962a3a46115662d07a1c51faafdd8 20549280 linux-image-2.6.26-2-openvz-686_2.6.26-23_i386.deb
 1ad1c6bce38c69521bda145a1b887af40eca2edf 409546 linux-headers-2.6.26-2-openvz-686_2.6.26-23_i386.deb
 c401ab7f0239009760d4db709631114cf7761d24 3781016 linux-headers-2.6.26-2-common-openvz_2.6.26-23_i386.deb
 3c3ba305fcd653bc6991f10bfe1acc5b7df5e832 110890 linux-headers-2.6.26-2-all_2.6.26-23_i386.deb
 8918e4c1f951cab184018359bad19e88c7d794fb 110946 linux-headers-2.6.26-2-all-i386_2.6.26-23_i386.deb
 68596edb43132fa587b068a6fc12486f5f804630 753710 linux-libc-dev_2.6.26-23_i386.deb
 1aebcbe8de28a18a54d6c8f15af485aed10b29a5 20284638 linux-image-2.6.26-2-vserver-686_2.6.26-23_i386.deb
 c03e548341b0d232c6a37c05306ec641a4ecf75e 404920 linux-headers-2.6.26-2-vserver-686_2.6.26-23_i386.deb
 0f4d211723a5bf3b5af82d854b0ca3bc2aba91cb 20401990 linux-image-2.6.26-2-vserver-686-bigmem_2.6.26-23_i386.deb
 144bdf1dd7b7c133a118879f96dad3d325d6545f 403828 linux-headers-2.6.26-2-vserver-686-bigmem_2.6.26-23_i386.deb
 c1fab81c4f433856f57fce4ce13318838ba01ac4 3757862 linux-headers-2.6.26-2-common-vserver_2.6.26-23_i386.deb
 46d262f6eb354ebc83a68e449b457c2f49dc210f 1596932 linux-image-2.6.26-2-xen-686_2.6.26-23_i386.deb
 eb55f274cb1e91a271302e0bab77fb78dcf1e435 18084430 linux-modules-2.6.26-2-xen-686_2.6.26-23_i386.deb
 db06f9db683f6c32b44abde9073b7cbf968f1588 390774 linux-headers-2.6.26-2-xen-686_2.6.26-23_i386.deb
 dfe2719ea7cdbfbd1af4edb3f65421304e72a7fe 110888 xen-linux-system-2.6.26-2-xen-686_2.6.26-23_i386.deb
 2d284cbff009feb7197ff647bbc1ea011d923bca 3857314 linux-headers-2.6.26-2-common-xen_2.6.26-23_i386.deb
Checksums-Sha256: 
 1fc706f61c5ef59f89af0dab53ca1e620b107ff52679d144e4c55ca06b6b8a04 5754 linux-2.6_2.6.26-23.dsc
 f4691c7134365557fbb59359e4b127dc67b48aedfdf413f5e7ae2d92bec08e5e 7914123 linux-2.6_2.6.26-23.diff.gz
 a4972535e1fe1d07225657664ac68577b5d1065a857d6bf166fa21dcc3ae3051 4632366 linux-doc-2.6.26_2.6.26-23_all.deb
 5c367260a1f7b5e74f20f1d95e36701f0555da0a3bbadbdbff9952324b717c96 1768510 linux-manual-2.6.26_2.6.26-23_all.deb
 dbaaaf252a34b5f3b0f21f18fa5bee365941345747ef39325a2a43864cea14a3 2900970 linux-patch-debian-2.6.26_2.6.26-23_all.deb
 ea9055b4879b3b67b2131b300c5892cab2cf571e6091570522507fa600c3fdce 48763028 linux-source-2.6.26_2.6.26-23_all.deb
 afea4fdc51cd9a32ca6007ecc01efd74640df526304d5d720ed87f25a3d8bb3e 126760 linux-support-2.6.26-2_2.6.26-23_all.deb
 c8f30ca059ad0e91324439ad3a4cf26dfcb65556694ca8060be396e8b0fa218e 111458 linux-tree-2.6.26_2.6.26-23_all.deb
 f032ace71ee6bcc069f94166962d4012998f11968bdec5797e116bbb1aa69cee 20220660 linux-image-2.6.26-2-486_2.6.26-23_i386.deb
 636468ecec94b227809cbcdc1f87a30554ddfeeb4528950459534cc71e6fe122 402210 linux-headers-2.6.26-2-486_2.6.26-23_i386.deb
 dc0f4ffee2cc9ecd67733f95fc408e16573662d0c77597311e3e9c15446efa23 20257290 linux-image-2.6.26-2-686_2.6.26-23_i386.deb
 583f076ee4aa3db95bcf07b37e92b723a77cfb789baba50b2403e60209da8b3c 402224 linux-headers-2.6.26-2-686_2.6.26-23_i386.deb
 21c83b3793a615dd368208c6a863873cc5418689d0c4709473b5f7afecfa3b3a 20375354 linux-image-2.6.26-2-686-bigmem_2.6.26-23_i386.deb
 a7171539a3a4baa0e4dac19759bd7edb24dea488f123574bdabc347c3da65087 403672 linux-headers-2.6.26-2-686-bigmem_2.6.26-23_i386.deb
 16588d654038a680b0ad50d930b08a06f16eda6c22312f6766ad235732781e48 20913856 linux-image-2.6.26-2-amd64_2.6.26-23_i386.deb
 a85f4f6ffd7f03ea3f25cb58c15d5fe9a40ce8eee2504843e685381d7203db65 391764 linux-headers-2.6.26-2-amd64_2.6.26-23_i386.deb
 910e402aa73de0081c267a073d9aafac36cbec2554ab49f453b409428d8a18d7 3725302 linux-headers-2.6.26-2-common_2.6.26-23_i386.deb
 f9c27b29891e889fd0543563bbbb5cc30b70a2075b357ad7f2ddcc9d93d7a3de 20549280 linux-image-2.6.26-2-openvz-686_2.6.26-23_i386.deb
 ee7b1fb78504215e9f35dff5068b61efe263d8f2be73eab047a88d313770adcd 409546 linux-headers-2.6.26-2-openvz-686_2.6.26-23_i386.deb
 dbd9fc063247b5f054631a3de64b11ae9335e332d40d6b41cecfa83e450472f1 3781016 linux-headers-2.6.26-2-common-openvz_2.6.26-23_i386.deb
 10ca2e970ccbb823558e70c901fbf7124913f8885a63708a6cae6094980d32c2 110890 linux-headers-2.6.26-2-all_2.6.26-23_i386.deb
 52b48bad0f1a0bd278027fa2dbbe0868f84ce202652363b5bcd62a1bdcf8e708 110946 linux-headers-2.6.26-2-all-i386_2.6.26-23_i386.deb
 25d95c6c3abcaace4a03a99c4882e21d422cfa9f84795d7c9bc56afed24ff9c1 753710 linux-libc-dev_2.6.26-23_i386.deb
 0b30b8eb07d5e83e2334220b7ad4d84d07b23b02727559b48b141286bfb4deb2 20284638 linux-image-2.6.26-2-vserver-686_2.6.26-23_i386.deb
 d734380ec3c6dc32728f7b30c2faae621a69584b76f7c336d8dc0862d71cdbdc 404920 linux-headers-2.6.26-2-vserver-686_2.6.26-23_i386.deb
 79607a5a40b0ad5bb3c58cf75908eb9fa995ade3225891d30f247754e3630f8d 20401990 linux-image-2.6.26-2-vserver-686-bigmem_2.6.26-23_i386.deb
 6399e0fda795e4e091458d186ca4805323b691d1846192776cfefadd3fc7603c 403828 linux-headers-2.6.26-2-vserver-686-bigmem_2.6.26-23_i386.deb
 2b405afb407ff9bd67641066200aaafcd1cb3b3d1f4e124200511d94478fa36b 3757862 linux-headers-2.6.26-2-common-vserver_2.6.26-23_i386.deb
 b1c9a5c743706431dbda379cbacb1a4b978cd9166de32a2560244741dcac46a0 1596932 linux-image-2.6.26-2-xen-686_2.6.26-23_i386.deb
 bd80cb25f3adb2364bdfc984870bbab942029543c07e03003dea54305a035c5c 18084430 linux-modules-2.6.26-2-xen-686_2.6.26-23_i386.deb
 a0a571fe3f2006abf1eec3972e2d718c4b6ad188d15e9dfb7f6b63faead70efd 390774 linux-headers-2.6.26-2-xen-686_2.6.26-23_i386.deb
 65a7ca706b70c4ffab7c09217f89b223126c030762332a32694ed046a5a228e1 110888 xen-linux-system-2.6.26-2-xen-686_2.6.26-23_i386.deb
 a4e9605648548e701230ed2b87dee407d2ebd1eb15a050bb8caff2567013659b 3857314 linux-headers-2.6.26-2-common-xen_2.6.26-23_i386.deb
Files: 
 f1a093b91e9ae75bad6cb9212fca1347 5754 devel optional linux-2.6_2.6.26-23.dsc
 fa465b594d0f201b864f7ae72bef17cb 7914123 devel optional linux-2.6_2.6.26-23.diff.gz
 12b673ee00cc340bf2a7f032e5efdaee 4632366 doc optional linux-doc-2.6.26_2.6.26-23_all.deb
 3916c0b4e316374c7117d858fef9bfa5 1768510 doc optional linux-manual-2.6.26_2.6.26-23_all.deb
 eb204a6b5eedcc42d66ec1b24308e241 2900970 devel optional linux-patch-debian-2.6.26_2.6.26-23_all.deb
 f8f299fda48e9f63ea0856bc00a9efd2 48763028 devel optional linux-source-2.6.26_2.6.26-23_all.deb
 3f1050ca59ae081652ee10d2379ebe43 126760 devel optional linux-support-2.6.26-2_2.6.26-23_all.deb
 66d7c67996391c455a8570adc95ad42d 111458 devel optional linux-tree-2.6.26_2.6.26-23_all.deb
 52b6ecfd50da8a0cae07a7a1c6f95190 20220660 admin optional linux-image-2.6.26-2-486_2.6.26-23_i386.deb
 5e46f32a53b6a38e967141f60060c6c8 402210 devel optional linux-headers-2.6.26-2-486_2.6.26-23_i386.deb
 95c170b62e4d84733a3e406b6c44be59 20257290 admin optional linux-image-2.6.26-2-686_2.6.26-23_i386.deb
 3a4b78b0af2adc0af22d9fd275afb597 402224 devel optional linux-headers-2.6.26-2-686_2.6.26-23_i386.deb
 46151a6e1fbb2db6b25a7de16e483db3 20375354 admin optional linux-image-2.6.26-2-686-bigmem_2.6.26-23_i386.deb
 4ae7637cab083038588a3c47a3854ca0 403672 devel optional linux-headers-2.6.26-2-686-bigmem_2.6.26-23_i386.deb
 a7992cc2cdee04db19bf602dfb4b08b2 20913856 admin optional linux-image-2.6.26-2-amd64_2.6.26-23_i386.deb
 7d8b973161aa36de0e872d93d1a63c4a 391764 devel optional linux-headers-2.6.26-2-amd64_2.6.26-23_i386.deb
 5efa69098aaa4fc909f71dd85e7ecd73 3725302 devel optional linux-headers-2.6.26-2-common_2.6.26-23_i386.deb
 9f4be60e1e7703cc2fc2c6c50b48022c 20549280 admin optional linux-image-2.6.26-2-openvz-686_2.6.26-23_i386.deb
 06514e4a4d7a23078d5b080c79fd1f7f 409546 devel optional linux-headers-2.6.26-2-openvz-686_2.6.26-23_i386.deb
 1a45311d529d1a3b9fbefe888357f04a 3781016 devel optional linux-headers-2.6.26-2-common-openvz_2.6.26-23_i386.deb
 9d990b720d5a9fb746790d07943f75b1 110890 devel optional linux-headers-2.6.26-2-all_2.6.26-23_i386.deb
 93f20a8739fb8aa7b221c5828c0782b1 110946 devel optional linux-headers-2.6.26-2-all-i386_2.6.26-23_i386.deb
 067fc9b43fb2cd905a58bf620cd1e91c 753710 devel optional linux-libc-dev_2.6.26-23_i386.deb
 8c0fc9405dbeff7b15ca2af49b1d1a46 20284638 admin optional linux-image-2.6.26-2-vserver-686_2.6.26-23_i386.deb
 208166ae3c49f9f8bf19d29c4eb2679d 404920 devel optional linux-headers-2.6.26-2-vserver-686_2.6.26-23_i386.deb
 7065da650ff49dfcdcc442b315a8401a 20401990 admin optional linux-image-2.6.26-2-vserver-686-bigmem_2.6.26-23_i386.deb
 1f168bc4ce4b8a68f964e6daf47c0289 403828 devel optional linux-headers-2.6.26-2-vserver-686-bigmem_2.6.26-23_i386.deb
 2736e69ed60407b03b75d903eaa31d74 3757862 devel optional linux-headers-2.6.26-2-common-vserver_2.6.26-23_i386.deb
 b6acbdf81e44032c38e972a7241287d6 1596932 admin optional linux-image-2.6.26-2-xen-686_2.6.26-23_i386.deb
 9fbf7b4e08e5531648c985152c1cadf0 18084430 admin optional linux-modules-2.6.26-2-xen-686_2.6.26-23_i386.deb
 69fbfbff6b3315a4b230861e026a51ea 390774 devel optional linux-headers-2.6.26-2-xen-686_2.6.26-23_i386.deb
 69e4d449c69fb6f0d9271824cb9a96c5 110888 admin extra xen-linux-system-2.6.26-2-xen-686_2.6.26-23_i386.deb
 32b29e7be55822524c10e07b7e002977 3857314 devel optional linux-headers-2.6.26-2-common-xen_2.6.26-23_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFME5p8huANDBmkLRkRAtywAJ9i8FadvWZGf884qxTEnaG+Ru0/TACfSI90
YpFCfb6E4UPs446uFF5CzMg=
=dMxe
-----END PGP SIGNATURE-----





Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Sat, 12 Jun 2010 19:57:09 GMT) Full text and rfc822 format available.

Notification sent to Mikhail Gusarov <dottedmag@dottedmag.net>:
Bug acknowledged by developer. (Sat, 12 Jun 2010 19:57:10 GMT) Full text and rfc822 format available.

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Sat, 12 Jun 2010 19:57:10 GMT) Full text and rfc822 format available.

Notification sent to Ross Burton <ross@debian.org>:
Bug acknowledged by developer. (Sat, 12 Jun 2010 19:57:10 GMT) Full text and rfc822 format available.

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Sat, 12 Jun 2010 19:57:11 GMT) Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. (Sat, 12 Jun 2010 19:57:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 Jul 2010 07:31:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:26:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.